#
# spec file for package java-1_8_0-openjdk
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{!?aarch64:%global aarch64 aarch64 arm64 armv8}
%global jit_arches %{ix86} x86_64 ppc64 ppc64le %{aarch64}
%global icedtea_version 3.4.0
%global icedtea_sound_version 1.0.1
%global buildoutputdir openjdk.build/
# Convert an absolute path to a relative path.  Each symbolic link is
# specified relative to the directory in which it is installed so that
# it will resolve properly within chrooted installations.
%global script 'use File::Spec; print File::Spec->abs2rel($ARGV[0], $ARGV[1])'
%global abs2rel perl -e %{script}
%global syslibdir       %{_libdir}
%global archname        %{name}
# Standard JPackage naming and versioning defines.
# priority must be 6 digits in total
%global priority        1805
%global javaver         1.8.0
%global updatever       131
# Standard JPackage directories and symbolic links.
%global sdklnk          java-%{javaver}-openjdk
%global archname        %{sdklnk}
%global jrelnk          jre-%{javaver}-openjdk
%global sdkdir          %{sdklnk}-%{javaver}
%global jredir          %{sdkdir}/jre
%global sdkbindir       %{_jvmdir}/%{sdklnk}/bin
%global jrebindir       %{_jvmdir}/%{jrelnk}/bin
%global jvmjardir       %{_jvmjardir}/%{sdkdir}
%global jvmjarlink      %{_jvmjardir}/%{sdklnk}
# Prevent brp-java-repack-jars from being run.
%global __jar_repack 0
# cacert symlink
%global cacerts  %{_jvmdir}/%{jredir}/lib/security/cacerts
# real file made by update-ca-certificates
%global javacacerts %{_var}/lib/ca-certificates/java-cacerts
# turn zero on non jit arches by default
%ifarch s390
%global _with_bootstrap 0
%else
%bcond_without bootstrap
%endif
%ifnarch %{jit_arches}
%global _with_zero 1
%endif
%if 0%{?suse_version} >= 1140
%global with_pulseaudio 1
%else
%global with_pulseaudio 0
%endif
%if 0%{?suse_version} >= 1220
%global with_system_lcms 1
%else
%global with_system_lcms 0
%endif
%if 0%{?suse_version} > 1310
%global with_system_kerberos 1
%else
%global with_system_kerberos 0
%endif
%if 0%{?suse_version} > 1320
%global with_system_pcsc 1
%else
%global with_system_pcsc 0
%endif
%if 0%{?suse_version} > 1320
%global with_system_sctp 1
%else
%global with_system_sctp 0
%endif
%ifarch x86_64
%global archinstall amd64
%endif
%ifarch ppc
%global archinstall ppc
%endif
%ifarch ppc64
%global archinstall ppc64
%endif
%ifarch ppc64le
%global archinstall ppc64le
%endif
%ifarch %{ix86}
%global archinstall i386
%endif
%ifarch ia64
%global archinstall ia64
%endif
%ifarch s390
%global archinstall s390
%endif
%ifarch s390x
%global archinstall s390x
%endif
%ifarch %{arm}
%global archinstall arm
%endif
%ifarch %{aarch64}
%global archinstall aarch64
%endif
# 32 bit sparc, optimized for v9
%ifarch sparcv9
%global archinstall sparc
%endif
# 64 bit sparc
%ifarch sparc64
%global archinstall sparcv9
%endif
%ifnarch %{jit_arches}
%global archinstall %{_arch}
%endif
%ifnarch %{jit_arches}
%global _with_zero 1
%endif
# bnc#542545
# 32-bit versus 64-bit specific provides:
%ifarch %{ix86} ppc s390
%global bits 32
%endif
%ifarch x86_64 ia64 s390x
%global bits 64
%endif
%if 0%{?__isa_bits}
%global bits %{__isa_bits}
%endif
%if 0%{?suse_version} >= 1330 || 0%{?suse_version} == 1315
%global with_sunec 1
%else
%global with_sunec 0
%endif
%bcond_with zero
# Turn on/off some features depending on openSUSE version
%if 0%{?suse_version} >= 1130
%if ! %{with zero}
%global with_systemtap 1
%else
%global with_systemtap 0
%endif
%else
%global with_systemtap 0
%endif
%if %{with_systemtap}
# Where to install systemtap tapset (links)
# We would like these to be in a package specific subdir,
# but currently systemtap doesn't support that, so we have to
# use the root tapset dir for now. To distinquish between 64
# and 32 bit architectures we place the tapsets under the arch
# specific dir (note that systemtap will only pickup the tapset
# for the primary arch for now). Systemtap uses the machine name
# aka build_cpu as architecture specific directory name.
%global tapsetroot %{_datadir}/systemtap
%global tapsetdir %{tapsetroot}/tapset/%{_build_cpu}
%endif
Name:           java-1_8_0-openjdk
Version:        %{javaver}.%{updatever}
Release:        11.1
Summary:        OpenJDK 8 Runtime Environment
License:        Apache-1.1 and Apache-2.0 and GPL-1.0+ and GPL-2.0 and GPL-2.0-with-classpath-exception and LGPL-2.0 and MPL-1.0 and MPL-1.1 and SUSE-Public-Domain and W3C
Group:          Development/Languages/Java
Url:            http://openjdk.java.net/
Source0:        http://icedtea.classpath.org/download/source/icedtea-%{icedtea_version}.tar.xz
Source1:        http://icedtea.classpath.org/download/source/icedtea-sound-%{icedtea_sound_version}.tar.xz
Source2:        http://icedtea.classpath.org/download/drops/icedtea8/%{icedtea_version}/openjdk.tar.xz
Source3:        http://icedtea.classpath.org/download/drops/icedtea8/%{icedtea_version}/corba.tar.xz
Source4:        http://icedtea.classpath.org/download/drops/icedtea8/%{icedtea_version}/jaxp.tar.xz
Source5:        http://icedtea.classpath.org/download/drops/icedtea8/%{icedtea_version}/jaxws.tar.xz
Source6:        http://icedtea.classpath.org/download/drops/icedtea8/%{icedtea_version}/jdk.tar.xz
Source7:        http://icedtea.classpath.org/download/drops/icedtea8/%{icedtea_version}/langtools.tar.xz
Source8:        http://icedtea.classpath.org/download/drops/icedtea8/%{icedtea_version}/hotspot.tar.xz
Source9:        http://icedtea.classpath.org/download/drops/icedtea8/%{icedtea_version}/nashorn.tar.xz
# Test
Source10:       TestECDSA.java
# RPM/distribution specific patches
# RHBZ 1015432
Patch2:         1015432.patch
# Restrict access to java-atk-wrapper classes
Patch3:         java-atk-wrapper-security.patch
# Fix use of unintialized memory in adlc parser
Patch12:        adlc-parser.patch
# Avoid triggering inactivity timeout while generating javadoc in zero VM
Patch14:        zero-javadoc-verbose.patch
#
# OpenJDK specific patches
#
# Patch for PPC
Patch103:       ppc-zero-hotspot.patch
# Patch for S390
Patch104:       s390-java-opts.patch
Patch1000:      icedtea-3.0.1-sunec.patch
Patch1001:      java-1_8_0-openjdk-suse-desktop-files.patch
Patch2000:      java-1_8_0-openjdk-gcc6.patch
Patch2001:      disable-doclint-by-default.patch
BuildRequires:  alsa-lib-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  binutils
BuildRequires:  cups-devel
BuildRequires:  desktop-file-utils
BuildRequires:  fastjar
BuildRequires:  fdupes
BuildRequires:  fontconfig
BuildRequires:  freetype2-devel
BuildRequires:  gcc-c++
BuildRequires:  giflib-devel
BuildRequires:  gtk2-devel
BuildRequires:  libjpeg-devel
BuildRequires:  liblcms2-devel
BuildRequires:  libpng-devel
BuildRequires:  libxslt
BuildRequires:  mozilla-nss-devel
BuildRequires:  pkgconfig
BuildRequires:  unzip
BuildRequires:  update-desktop-files
BuildRequires:  wget
BuildRequires:  xorg-x11-proto-devel
BuildRequires:  xz
BuildRequires:  zip
# Requires rest of java
Requires:       %{name}-headless = %{version}-%{release}
Requires:       fontconfig
# Standard JPackage base provides.
Provides:       java = %{javaver}
Provides:       java-%{javaver} = %{version}-%{release}
Provides:       java-openjdk = %{version}-%{release}
Provides:       jre = %{javaver}
Provides:       jre-%{javaver} = %{version}-%{release}
Provides:       jre-%{javaver}-openjdk = %{version}-%{release}
Provides:       jre-openjdk = %{version}-%{release}
# Standard JPackage extensions provides.
Provides:       java-fonts = %{version}
# Required at least by fop
Provides:       java-%{bits} = %{javaver}
Provides:       java-%{javaver}-%{bits}
Provides:       java-openjdk-%{bits} = %{version}-%{release}
Provides:       jre-%{bits} = %{javaver}
Provides:       jre-%{javaver}-%{bits}
Provides:       jre-%{javaver}-openjdk-%{bits} = %{version}-%{release}
Provides:       jre-openjdk-%{bits} = %{version}-%{release}
Provides:       jre1.3.x
Provides:       jre1.4.x
Provides:       jre1.5.x
Provides:       jre1.6.x
Provides:       jre1.7.x
Provides:       jre1.8.x
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with bootstrap}
BuildRequires:  java-bootstrap-devel >= 1.7.0
%else
BuildRequires:  java-1_8_0-openjdk-devel
%endif
%if %{with_system_kerberos}
BuildRequires:  krb5-devel
%endif
# Zero-assembler build requirement.
%if %{with zero}
BuildRequires:  libffi-devel
%endif
%if 0%{?suse_version} <= 1130
BuildRequires:  xorg-x11-devel
%else
BuildRequires:  libX11-devel
BuildRequires:  libXcomposite-devel
BuildRequires:  libXi-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libXt-devel
BuildRequires:  libXtst-devel
%endif
# runtime certificates generation available in 11.3+ - bnc#596177
%if 0%{?suse_version} >= 1130
BuildRequires:  java-ca-certificates
Requires(post): file
Requires(post): java-ca-certificates
%else
BuildRequires:  openssl-certs
# the certificates will converted in a prep to standard keystore file - cacerts
# The openssl requirment seems to be necessary for build only.
Requires:       openssl
%endif
%if %{with_systemtap}
BuildRequires:  systemtap-sdt-devel
%endif
# pulse audio requirements
%if %{with_pulseaudio}
BuildRequires:  libpulse-devel >= 0.9.11
BuildRequires:  pulseaudio >= 0.9.11
%endif
%if %{with_system_pcsc}
BuildRequires:  pcsc-lite-devel
%endif
%if %{with_system_sctp}
BuildRequires:  lksctp-tools-devel
%endif

%description
The OpenJDK 8 runtime environment.

%package headless
Summary:        OpenJDK 8 Runtime Environment
# Require jpackage-utils for ownership of /usr/lib/jvm/
Group:          Development/Languages/Java
Requires:       jpackage-utils
# Post requires update-alternatives to install tool update-alternatives.
Requires(post): update-alternatives
# Postun requires update-alternatives to uninstall tool update-alternatives.
Requires(postun): update-alternatives
# Standard JPackage base provides.
Provides:       java-%{javaver}-headless = %{version}-%{release}
Provides:       java-headless = %{javaver}
Provides:       java-openjdk-headless = %{version}-%{release}
Provides:       jre-%{javaver}-headless = %{version}-%{release}
Provides:       jre-%{javaver}-openjdk-headless = %{version}-%{release}
Provides:       jre-headless = %{javaver}
Provides:       jre-openjdk-headless = %{version}-%{release}
# Standard JPackage extensions provides.
Provides:       jaas = %{version}
Provides:       java-sasl = %{version}
Provides:       jce = %{version}
Provides:       jdbc-stdext = 4.1
Provides:       jndi = %{version}
Provides:       jndi-cos = %{version}
Provides:       jndi-dns = %{version}
Provides:       jndi-ldap = %{version}
Provides:       jndi-rmi = %{version}
Provides:       jsse = %{version}
# mozilla-nss has to be installed to prevent
# java.security.ProviderException: Could not initialize NSS
# ...
# java.io.FileNotFoundException: /usr/lib64/libnss3.so
#was bnc#634793
%if %{with sunec}
# The SunEC built against system NSS uses private APIs that
# change from time to time. Require thus the version we built
# against.
%requires_eq    mozilla-nss
%else
Requires:       mozilla-nss
%endif
%if 0%{?suse_version} > 1320
# Require zoneinfo data in java8+ format provided by tzdata-java8 subpackage.
Requires(post): tzdata-java8
%endif

%description headless
The OpenJDK 8 runtime environment without audio and video support.

%package devel
Summary:        OpenJDK 8 Development Environment
# Require base package.
Group:          Development/Languages/Java
Requires:       %{name} = %{version}-%{release}
# Post requires update-alternatives to install tool update-alternatives.
Requires(post): update-alternatives
# Postun requires update-alternatives to uninstall tool update-alternatives.
Requires(postun): update-alternatives
# Standard JPackage devel provides.
Provides:       java-%{javaver}-devel = %{version}
Provides:       java-devel = %{javaver}
Provides:       java-devel-openjdk = %{version}
Provides:       java-sdk = %{javaver}
Provides:       java-sdk-%{javaver} = %{version}
Provides:       java-sdk-%{javaver}-openjdk = %{version}
Provides:       java-sdk-openjdk = %{version}

%description devel
The OpenJDK 8 development tools.

%package demo
Summary:        OpenJDK 8 Demos
Group:          Development/Languages/Java
Requires:       %{name} = %{version}-%{release}

%description demo
The OpenJDK 8 demos.

%package src
Summary:        OpenJDK 8 Source Bundle
Group:          Development/Languages/Java
Requires:       %{name} = %{version}-%{release}

%description src
The OpenJDK 8 source bundle.

%package javadoc
Summary:        OpenJDK 8 API Documentation
Group:          Development/Languages/Java
Requires:       jpackage-utils
# Post requires update-alternatives to install javadoc alternative.
Requires(post): update-alternatives
# Postun requires update-alternatives to uninstall javadoc alternative.
Requires(postun): update-alternatives
# Standard JPackage javadoc provides.
Provides:       java-%{javaver}-javadoc = %{version}-%{release}
Provides:       java-javadoc = %{version}-%{release}
%if 0%{?suse_version} >= 1120
BuildArch:      noarch
%endif

%description javadoc
The OpenJDK 8 API documentation.

%package accessibility
Summary:        OpenJDK 8 accessibility connector
Group:          Development/Languages/Java
Requires:       %{name} = %{version}-%{release}
Requires:       java-atk-wrapper

%description accessibility
Enables accessibility support in OpenJDK 8 by using java-atk-wrapper.
This allows compatible at-spi2 based accessibility programs to work
for AWT and Swing-based programs.

Please note, the java-atk-wrapper is still in beta, and OpenJDK 8
itself is still being tuned to be working with accessibility features.
There are known issues with accessibility on, so please do not install
this package unless you really need to.

%prep
%setup -q -n icedtea-%{icedtea_version}
%setup -q -D -n icedtea-%{icedtea_version} -T -a 1

%patch1000 -p1
%patch1001 -p1

# Extract systemtap tapsets

%if %{with_systemtap}

for file in tapset/*.in; do

    OUTPUT_FILE=`echo $file | sed -e s:\.in$::g`
    sed -e s:@ABS_SERVER_LIBJVM_SO@:%{_jvmdir}/%{jredir}/lib/%{archinstall}/server/libjvm.so:g $file > $file.1
# TODO find out which architectures other than ix86 have a client vm

%ifarch %{ix86}
    sed -e s:@ABS_CLIENT_LIBJVM_SO@:%{_jvmdir}/%{jredir}/lib/%{archinstall}/client/libjvm.so:g $file.1 > $OUTPUT_FILE
%else
    sed -e '/@ABS_CLIENT_LIBJVM_SO@/d' $file.1 > $OUTPUT_FILE
%endif
    sed -i -e s:@ABS_JAVA_HOME_DIR@:%{_jvmdir}/%{sdkdir}:g $OUTPUT_FILE
    sed -i -e s:@INSTALL_ARCH_DIR@:%{archinstall}:g $OUTPUT_FILE

done

%endif

%build
export LANG=C
unset JAVA_HOME

# How many cpu's do we have?
export NUM_PROC=`%{_bindir}/getconf _NPROCESSORS_ONLN 2> /dev/null || :`
export NUM_PROC=${NUM_PROC:-1}

# handle zlib packages without pkg-config file
%if 0%{?suse_version} <= 1130
export ZLIB_CFLAGS=" "
export ZLIB_LIBS="-L/%{_lib} -lz"
%endif

CFLAGS=$(rpm -E '%{optflags}' | sed 's/-Wall\>//')
export CFLAGS
export CXXFLAGS=${CFLAGS}
%if %{with_sunec}
export NSS_SOFTOKN_CFLAGS="`pkg-config --cflags nss` -I`pwd`"
export NSS_SOFTOKN_LIBS="-L%{_libdir} -lnssdbm3 -lsoftokn3 -lssl3 -lsmime3 -lnss3 -lnssutil3 -lfreebl -L%{_libdir}/nspr -lplds4 -lplc4 -lnspr4"
export NSS_CFLAGS="$NSS_SOFTOKN_CFLAGS"
export NSS_LIBS="$NSS_SOFTOKN_LIBS"
%endif

sh autogen.sh
%configure \
%if %{with_sunec}
        --enable-sunec \
%endif
%if %{with bootstrap}
        --enable-bootstrap \
%else
        --disable-bootstrap \
%endif
        --disable-downloading \
        --with-abs-install-dir=%{_jvmdir}/%{sdkdir} \
%ifnarch %{arm} %{aarch64}
        --with-parallel-jobs="${NUM_PROC}" \
%endif
        --with-pkgversion="suse-%{release}-%{_arch}" \
        --with-jdk-home="%{_sysconfdir}/alternatives/java_sdk" \
%if %{with_systemtap}
        --enable-systemtap \
%endif
%if %{with zero}
        --enable-zero \
%endif
%if 0%{?suse_version} <= 1110
        --disable-system-gio \
        --disable-system-gconf \
%endif
%if %{with_system_lcms}
        --enable-system-lcms \
%else
        --disable-system-lcms \
%endif
%if %{with_system_pcsc}
        --enable-system-pcsc \
%else
        --disable-system-pcsc \
%endif
%if %{with_system_sctp}
        --enable-system-sctp \
%else
        --disable-system-sctp \
%endif
%if %{with_system_kerberos}
        --enable-system-kerberos \
%else
        --disable-system-kerberos \
%endif
        --with-openjdk-src-zip=%{SOURCE2} \
        --with-corba-src-zip=%{SOURCE3} \
        --with-jaxp-src-zip=%{SOURCE4} \
        --with-jaxws-src-zip=%{SOURCE5} \
        --with-jdk-src-zip=%{SOURCE6} \
        --with-langtools-src-zip=%{SOURCE7} \
        --with-hotspot-src-zip=%{SOURCE8} \
        --with-nashorn-src-zip=%{SOURCE9}

make patch %{?_smp_mflags}

patch -p0 -i %{PATCH2}
patch -p0 -i %{PATCH3}
patch -p0 -i %{PATCH12}

%if %{with zero}
patch -p0 -i %{PATCH14}
%endif

%ifarch ppc ppc64 ppc64le
# PPC fixes
patch -p0 -i %{PATCH103}
%endif

%ifarch s390
# S390 memory issues
patch -p0 -i %{PATCH104}
%endif

patch -p0 -i %{PATCH2000}
patch -p0 -i %{PATCH2001}

(cd openjdk/common/autoconf
 bash ./autogen.sh
)

make %{?_smp_mflags}

export JAVA_HOME=$(pwd)/%{buildoutputdir}images/j2sdk-image

# cacerts are generated in runtime in openSUSE
if [ -f %{buildoutputdir}images/j2sdk-image/jre/lib/security/cacerts ]; then
        rm -f %{buildoutputdir}images/j2sdk-image/jre/lib/security/cacerts
fi

%if 0%{?suse_version} < 1130
# ========== a default keystore ==========
# a cacerts generation - 11.3+ use java-ca-certificates package
for PEM in %{_sysconfdir}/ssl/certs/*.pem; do
    ALIAS=$(basename ${PEM} .pem)
    awk '/-----BEGIN CERTIFICATE-----/,/-----END CERTIFICATE-----/{ print $0; }' ${PEM} > ${ALIAS}.pem

    yes | $JAVA_HOME/jre/bin/keytool -import -alias ${ALIAS} -keystore %{buildoutputdir}images/j2sdk-image/jre/lib/security/cacerts -storepass 'changeit' -file ${ALIAS}.pem || :
    rm ${ALIAS}.pem
done
%endif

%if %{with_pulseaudio}
# Build the pulseaudio plugin
pushd icedtea-sound-%{icedtea_sound_version}
%configure \
    --with-jdk-home=$JAVA_HOME \
    --disable-docs
make %{?_smp_mflags}
cp icedtea-sound.jar $JAVA_HOME/jre/lib/ext/
cp build/native/libicedtea-sound.so $JAVA_HOME/jre/lib/%{archinstall}/
echo "#Config file to enable PulseAudio support" > $JAVA_HOME/jre/lib/pulseaudio.properties
echo "" >> $JAVA_HOME/jre/lib/pulseaudio.properties
echo "javax.sound.sampled.Clip=org.classpath.icedtea.pulseaudio.PulseAudioMixerProvider" >> $JAVA_HOME/jre/lib/pulseaudio.properties
echo "javax.sound.sampled.Port=org.classpath.icedtea.pulseaudio.PulseAudioMixerProvider" >> $JAVA_HOME/jre/lib/pulseaudio.properties
echo "javax.sound.sampled.SourceDataLine=org.classpath.icedtea.pulseaudio.PulseAudioMixerProvider" >> $JAVA_HOME/jre/lib/pulseaudio.properties
echo "javax.sound.sampled.TargetDataLine=org.classpath.icedtea.pulseaudio.PulseAudioMixerProvider" >> $JAVA_HOME/jre/lib/pulseaudio.properties
echo "" >> $JAVA_HOME/jre/lib/pulseaudio.properties
popd
%endif

# Check debug symbols are present and can identify code
SERVER_JVM="$JAVA_HOME/jre/lib/%{archinstall}/server/libjvm.so"
if [ -f "$SERVER_JVM" ] ; then
  nm -aCl "$SERVER_JVM" | grep javaCalls.cpp
fi
CLIENT_JVM="$JAVA_HOME/jre/lib/%{archinstall}/client/libjvm.so"
if [ -f "$CLIENT_JVM" ] ; then
  nm -aCl "$CLIENT_JVM" | grep javaCalls.cpp
fi
ZERO_JVM="$JAVA_HOME/jre/lib/%{archinstall}/zero/libjvm.so"
if [ -f "$ZERO_JVM" ] ; then
  nm -aCl "$ZERO_JVM" | grep javaCalls.cpp
fi

%install
export LANG=en_US.UTF-8
#bnc#530046
export STRIP_KEEP_SYMTAB=libjvm*
# skip /usr/lib/rpm/brp-check-bytecode-version:
export NO_BRP_CHECK_BYTECODE_VERSION=true

%if %{with_systemtap}
  # Install systemtap support files.
  install -dm 755 %{buildroot}%{_jvmdir}/%{sdkdir}/tapset
  for i in tapset/*.stp; do
    cp -a $i %{buildroot}%{_jvmdir}/%{sdkdir}/tapset/$(basename $i .stp)-1.8.0.stp
  done
  install -d -m 755 %{buildroot}%{tapsetdir}
  pushd %{buildroot}%{tapsetdir}
    RELATIVE=$(%{abs2rel} %{_jvmdir}/%{sdkdir}/tapset %{tapsetdir})
    ln -sf $RELATIVE/*.stp .
  popd
%endif

pushd %{buildoutputdir}images/j2sdk-image

  # Install main files.
  install -d -m 755 %{buildroot}%{_jvmdir}/%{sdkdir}
  cp -a bin include lib src.zip %{buildroot}%{_jvmdir}/%{sdkdir}
  install -d -m 755 %{buildroot}%{_jvmdir}/%{jredir}
  cp -a jre/bin jre/lib %{buildroot}%{_jvmdir}/%{jredir}

  # Install extension symlinks.
  install -d -m 755 %{buildroot}%{jvmjardir}
  pushd %{buildroot}%{jvmjardir}
    RELATIVE=$(%{abs2rel} %{_jvmdir}/%{jredir}/lib %{jvmjardir})
    ln -sf $RELATIVE/jsse.jar jsse-%{version}.jar
    ln -sf $RELATIVE/jce.jar jce-%{version}.jar
    ln -sf $RELATIVE/rt.jar jndi-%{version}.jar
    ln -sf $RELATIVE/rt.jar jndi-ldap-%{version}.jar
    ln -sf $RELATIVE/rt.jar jndi-cos-%{version}.jar
    ln -sf $RELATIVE/rt.jar jndi-rmi-%{version}.jar
    ln -sf $RELATIVE/rt.jar jaas-%{version}.jar
    ln -sf $RELATIVE/rt.jar jdbc-stdext-%{version}.jar
    ln -sf jdbc-stdext-%{version}.jar jdbc-stdext-3.0.jar
    ln -sf $RELATIVE/rt.jar sasl-%{version}.jar
    for jar in *-%{version}.jar
    do
      if [ x%{version} != x%{javaver} ]
      then
        ln -sf $jar $(echo $jar | sed "s|-%{version}.jar|-%{javaver}.jar|g")
      fi
      ln -sf $jar $(echo $jar | sed "s|-%{version}.jar|.jar|g")
    done
  popd

  # Install JCE policy symlinks.
  install -d -m 755 %{buildroot}%{_jvmprivdir}/%{archname}/jce/vanilla

  # Install versionless symlinks.
  pushd %{buildroot}%{_jvmdir}
    ln -sf %{jredir} %{jrelnk}
    ln -sf %{sdkdir} %{sdklnk}
  popd

  pushd %{buildroot}%{_jvmjardir}
    ln -sf %{sdkdir} %{jrelnk}
    ln -sf %{sdkdir} %{sdklnk}
  popd

  # Remove javaws man page
  rm -f man/man1/javaws*

  # Install man pages.
  install -d -m 755 %{buildroot}%{_mandir}/man1
  for manpage in man/man1/*
  do
    # Convert man pages to UTF8 encoding.
    iconv -f ISO_8859-1 -t UTF8 $manpage -o $manpage.tmp
    mv -f $manpage.tmp $manpage
    install -m 644 -p $manpage %{buildroot}%{_mandir}/man1/$(basename \
      $manpage .1)-%{sdklnk}.1
  done

  # Install demos and samples.
  cp -a demo %{buildroot}%{_jvmdir}/%{sdkdir}
  # enable short-circuit
  mkdir -p sample/rmi
  [ -f bin/java-rmi.cgi ] && mv bin/java-rmi.cgi sample/rmi
  cp -a sample %{buildroot}%{_jvmdir}/%{sdkdir}

popd

# Install Javadoc documentation.
install -d -m 755 %{buildroot}%{_javadocdir}
cp -a %{buildoutputdir}/docs %{buildroot}%{_javadocdir}/%{sdklnk}

# Install icons and menu entries.
for s in 16 24 32 48 ; do
  install -D -p -m 644 \
    openjdk/jdk/src/solaris/classes/sun/awt/X11/java-icon${s}.png \
    %{buildroot}%{_datadir}/icons/hicolor/${s}x${s}/apps/java-%{javaver}.png
done

# Install desktop files.
install -d -m 0755 %{buildroot}%{_datadir}/{applications,pixmaps}
install -d -m 0755 %{buildroot}/%{_jvmdir}/%{jredir}/lib/desktop/
for d in jconsole policytool; do
    install -m 0644 $d.desktop %{buildroot}/%{_jvmdir}/%{jredir}/lib/desktop/
    %suse_update_desktop_file %{buildroot}/%{_jvmdir}/%{jredir}/lib/desktop/$d.desktop
done

# Find JRE directories.
find %{buildroot}%{_jvmdir}/%{jredir} -type d \
  | grep -v jre/lib/security \
  | sed 's|'%{buildroot}'|%dir |' \
  > %{name}.files.headless
# Find JRE files.
find %{buildroot}%{_jvmdir}/%{jredir} -type f -o -type l \
  | grep -v jre/lib/security \
  | sed 's|'%{buildroot}'||' \
  >> %{name}.files.all
#split %{name}.files to %{name}.files-headless and %{name}.files
#see https://bugzilla.redhat.com/show_bug.cgi?id=875408
NOT_HEADLESS=\
"%{_jvmdir}/%{jredir}/lib/%{archinstall}/libjsoundalsa.so
%{_jvmdir}/%{jredir}/lib/%{archinstall}/libicedtea-sound.so
%{_jvmdir}/%{jredir}/lib/%{archinstall}/libsplashscreen.so
%{_jvmdir}/%{jredir}/lib/%{archinstall}/libawt_xawt.so
%{_jvmdir}/%{jredir}/lib/%{archinstall}/libjawt.so"
#filter %{name}.files from %{name}.files.all to %{name}.files-headless
ALL=`cat %{name}.files.all`
for file in $ALL ; do
  INLCUDE="NO" ;
  for blacklist in $NOT_HEADLESS ; do
    # we can not match normally, because rpmbuild will evaluate !0 result as script failure
    q=`expr match "$file" "$blacklist"` || :
    l=`expr length "$blacklist"` || :
    if [ $q -eq $l ]; then
       INLCUDE="YES" ;
    fi;
  done
  if [ "x$INLCUDE" = "xNO" ]; then
    echo "$file" >> %{name}.files-headless
  else
    echo "$file" >> %{name}.files
  fi
done
# Find demo directories.
find %{buildroot}%{_jvmdir}/%{sdkdir}/demo \
  %{buildroot}%{_jvmdir}/%{sdkdir}/sample -type d \
  | sed 's|'%{buildroot}'|%dir |' \
  > %{name}-demo.files

# FIXME: remove SONAME entries from demo DSOs.  See
# https://bugzilla.redhat.com/show_bug.cgi?id=436497

# Find non-documentation demo files.
find %{buildroot}%{_jvmdir}/%{sdkdir}/demo \
  %{buildroot}%{_jvmdir}/%{sdkdir}/sample \
  -type f -o -type l | sort \
  | grep -v README \
  | sed 's|'%{buildroot}'||' \
  >> %{name}-demo.files
# Find documentation demo files.
find %{buildroot}%{_jvmdir}/%{sdkdir}/demo \
  %{buildroot}%{_jvmdir}/%{sdkdir}/sample \
  -type f -o -type l | sort \
  | grep README \
  | sed 's|'%{buildroot}'||' \
  | sed 's|^|%doc |' \
  >> %{name}-demo.files

# Create links which leads to separately installed java-atk-bridge and allow configuration
# links points to java-atk-wrapper - an dependence
# mvyskocil: links are handled in post, lets make ghost files there
  touch %{buildroot}/%{_jvmdir}/%{jredir}/lib/%{archinstall}/libatk-wrapper.so
  touch %{buildroot}/%{_jvmdir}/%{jredir}/lib/ext/java-atk-wrapper.jar
  pushd %{buildroot}/%{_jvmdir}/%{jredir}/lib/
    echo "#Config file to  enable java-atk-wrapper" > accessibility.properties
    echo "" >> accessibility.properties
    echo "assistive_technologies=org.GNOME.Accessibility.AtkWrapper" >> accessibility.properties
    echo "" >> accessibility.properties
  popd

# fdupes links the files from JDK to JRE, so it breaks a JRE
# use it carefully :))
%fdupes -s %{buildroot}/%{_jvmdir}/%{jredir}/
%fdupes -s %{buildroot}/%{_jvmdir}/%{sdkdir}/demo
%fdupes -s %{buildroot}%{_javadocdir}/%{sdklnk}

%if 0%{?suse_version} <= 1130
# bnc496378 - check the size of installed cacerts
# 32 bytes means a default empty one
if [[ $(stat -c "%{s}" %{buildroot}/%{cacerts}) == "32" ]]; then
    echo "ERROR: Default keystore seems empty"
    exit 1
fi
%endif

%post headless
ext=.gz
update-alternatives \
  --install %{_bindir}/java java %{jrebindir}/java %{priority} \
  --slave %{_jvmdir}/jre jre %{_jvmdir}/%{jrelnk} \
  --slave %{_jvmjardir}/jre jre_exports %{_jvmjardir}/%{jrelnk} \
  --slave %{_bindir}/keytool keytool %{jrebindir}/keytool \
  --slave %{_bindir}/orbd orbd %{jrebindir}/orbd \
  --slave %{_bindir}/policytool policytool %{jrebindir}/policytool \
  --slave %{_bindir}/rmid rmid %{jrebindir}/rmid \
  --slave %{_bindir}/rmiregistry rmiregistry %{jrebindir}/rmiregistry \
  --slave %{_bindir}/servertool servertool %{jrebindir}/servertool \
  --slave %{_bindir}/tnameserv tnameserv %{jrebindir}/tnameserv \
  --slave %{_mandir}/man1/java.1$ext java.1$ext \
  %{_mandir}/man1/java-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/keytool.1$ext keytool.1$ext \
  %{_mandir}/man1/keytool-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/orbd.1$ext orbd.1$ext \
  %{_mandir}/man1/orbd-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/policytool.1$ext policytool.1$ext \
  %{_mandir}/man1/policytool-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/rmid.1$ext rmid.1$ext \
  %{_mandir}/man1/rmid-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/rmiregistry.1$ext rmiregistry.1$ext \
  %{_mandir}/man1/rmiregistry-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/servertool.1$ext servertool.1$ext \
  %{_mandir}/man1/servertool-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/tnameserv.1$ext tnameserv.1$ext \
  %{_mandir}/man1/tnameserv-%{sdklnk}.1$ext  \
  --slave %{_datadir}/applications/policytool.desktop policytool.desktop \
  %{_jvmdir}/%{jredir}/lib/desktop/policytool.desktop

update-alternatives \
  --install %{_jvmdir}/jre-openjdk \
  jre_openjdk %{_jvmdir}/%{jrelnk} %{priority} \
  --slave %{_jvmjardir}/jre-openjdk \
  jre_openjdk_exports %{_jvmjardir}/%{jrelnk}
update-alternatives \
  --install %{_jvmdir}/jre-%{javaver} \
  jre_%{javaver} %{_jvmdir}/%{jrelnk} %{priority} \
  --slave %{_jvmjardir}/jre-%{javaver} \
  jre_%{javaver}_exports %{_jvmjardir}/%{jrelnk}

%if 0%{?suse_version} > 1320
if [ -e %{_datadir}/javazi/tzdb.dat ]; then
	if [ -e %{_jvmdir}/%{jredir}/lib/tzdb.dat ]; then
		rm -f %{_jvmdir}/%{jredir}/lib/tzdb.dat
	fi
	ln -sf %{_datadir}/javazi/tzdb.dat  %{_jvmdir}/%{jredir}/lib/tzdb.dat
fi
%endif

%postun headless
if [ $1 -eq 0 ]
then
  if test -f /proc/sys/fs/binfmt_misc/jarexec
  then
    echo '-1' > /proc/sys/fs/binfmt_misc/jarexec
  fi
  update-alternatives --remove java %{jrebindir}/java
  update-alternatives --remove jre_openjdk %{_jvmdir}/%{jrelnk}
  update-alternatives --remove jre_%{javaver} %{_jvmdir}/%{jrelnk}
fi

%if %{with_sunec}
%check
export JAVA_HOME=$(pwd)/%{buildoutputdir}images/j2sdk-image

# Check ECC is working
$JAVA_HOME/bin/javac -d . %{SOURCE10}
$JAVA_HOME/bin/java TestECDSA

%endif

%if 0%{?suse_version} >= 1130
%posttrans headless
# bnc#781690#c11: don't trust user defined JAVA_HOME and use the current VM
# XXX: this might conflict between various versions of openjdk
export JAVA_HOME=%{_jvmdir}/%{jrelnk}

# check if the java-cacerts is a valid keystore (bnc#781690)
if [ X"`%{_bindir}/file --mime-type -b %{javacacerts}`" \
    != "Xapplication/x-java-keystore;" ]; then
%if 0%{?suse_version} <= 1310
    # workaround for bnc#847952 - pre 13.1 keyring.jar attempts to load invalid keystore and fail on it
    rm -f "%{javacacerts}"
%endif
    %{_sbindir}/update-ca-certificates
fi

# remove the default empty cacert file, if it's installed
if [ 0`stat -c "%{s}" %{cacerts} 2>/dev/null` = "032" ] ; then
    rm -f %{cacerts}
fi

# if cacerts does exists, neither does not contain/point to a
# valid keystore (bnc#781690) ...
if [ X"`%{_bindir}/file --mime-type -b -L %{cacerts}`" \
    != "Xapplication/x-java-keystore;" ]; then
    # bnc#727223
    rm -f %{cacerts}
    ln -s %{javacacerts} %{cacerts}
fi
%endif

%post devel
ext=.gz
update-alternatives \
  --install %{_bindir}/javac javac %{sdkbindir}/javac %{priority} \
  --slave %{_jvmdir}/java java_sdk %{_jvmdir}/%{sdklnk} \
  --slave %{_jvmjardir}/java java_sdk_exports %{jvmjarlink} \
  --slave %{_bindir}/appletviewer appletviewer %{sdkbindir}/appletviewer \
  --slave %{_bindir}/extcheck extcheck %{sdkbindir}/extcheck \
  --slave %{_bindir}/jar jar %{sdkbindir}/jar \
  --slave %{_bindir}/jarsigner jarsigner %{sdkbindir}/jarsigner \
  --slave %{_bindir}/javadoc javadoc %{sdkbindir}/javadoc \
  --slave %{_bindir}/javah javah %{sdkbindir}/javah \
  --slave %{_bindir}/javap javap %{sdkbindir}/javap \
  --slave %{_bindir}/jconsole jconsole %{sdkbindir}/jconsole \
  --slave %{_bindir}/pack200                  pack200                     %{sdkbindir}/pack200 \
  --slave %{_bindir}/unpack200                unpack200                   %{sdkbindir}/unpack200 \
  --slave %{_bindir}/jdb jdb %{sdkbindir}/jdb \
  --slave %{_bindir}/jhat jhat %{sdkbindir}/jhat \
  --slave %{_bindir}/jinfo jinfo %{sdkbindir}/jinfo \
  --slave %{_bindir}/jmap jmap %{sdkbindir}/jmap \
  --slave %{_bindir}/jps jps %{sdkbindir}/jps \
  --slave %{_bindir}/jrunscript jrunscript %{sdkbindir}/jrunscript \
  --slave %{_bindir}/jsadebugd jsadebugd %{sdkbindir}/jsadebugd \
  --slave %{_bindir}/jstack jstack %{sdkbindir}/jstack \
  --slave %{_bindir}/jstat jstat %{sdkbindir}/jstat \
  --slave %{_bindir}/jstatd jstatd %{sdkbindir}/jstatd \
  --slave %{_bindir}/native2ascii native2ascii %{sdkbindir}/native2ascii \
  --slave %{_bindir}/rmic rmic %{sdkbindir}/rmic \
  --slave %{_bindir}/schemagen schemagen %{sdkbindir}/schemagen \
  --slave %{_bindir}/serialver serialver %{sdkbindir}/serialver \
  --slave %{_bindir}/wsgen wsgen %{sdkbindir}/wsgen \
  --slave %{_bindir}/wsimport wsimport %{sdkbindir}/wsimport \
  --slave %{_bindir}/xjc xjc %{sdkbindir}/xjc \
  --slave %{_mandir}/man1/appletviewer.1$ext appletviewer.1$ext \
  %{_mandir}/man1/appletviewer-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/extcheck.1$ext extcheck.1$ext \
  %{_mandir}/man1/extcheck-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/jar.1$ext jar.1$ext \
  %{_mandir}/man1/jar-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/jarsigner.1$ext jarsigner.1$ext \
  %{_mandir}/man1/jarsigner-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/javac.1$ext javac.1$ext \
  %{_mandir}/man1/javac-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/javadoc.1$ext javadoc.1$ext \
  %{_mandir}/man1/javadoc-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/javah.1$ext javah.1$ext \
  %{_mandir}/man1/javah-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/javap.1$ext javap.1$ext \
  %{_mandir}/man1/javap-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/jconsole.1$ext jconsole.1$ext \
  %{_mandir}/man1/jconsole-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/jcmd.1$ext jcmd.1$ext \
  %{_mandir}/man1/jcmd-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/jdb.1$ext jdb.1$ext \
  %{_mandir}/man1/jdb-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/pack200.1$ext pack200.1$ext \
  %{_mandir}/man1/pack200-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/unpack200.1$ext unpack200.1$ext \
  %{_mandir}/man1/unpack200-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/jhat.1$ext jhat.1$ext \
  %{_mandir}/man1/jhat-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/jinfo.1$ext jinfo.1$ext \
  %{_mandir}/man1/jinfo-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/jmap.1$ext jmap.1$ext \
  %{_mandir}/man1/jmap-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/jps.1$ext jps.1$ext \
  %{_mandir}/man1/jps-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/jrunscript.1$ext jrunscript.1$ext \
  %{_mandir}/man1/jrunscript-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/jsadebugd.1$ext jsadebugd.1$ext \
  %{_mandir}/man1/jsadebugd-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/jstack.1$ext jstack.1$ext \
  %{_mandir}/man1/jstack-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/jstat.1$ext jstat.1$ext \
  %{_mandir}/man1/jstat-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/jstatd.1$ext jstatd.1$ext \
  %{_mandir}/man1/jstatd-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/native2ascii.1$ext native2ascii.1$ext \
  %{_mandir}/man1/native2ascii-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/rmic.1$ext rmic.1$ext \
  %{_mandir}/man1/rmic-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/schemagen.1$ext schemagen.1$ext \
  %{_mandir}/man1/schemagen-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/serialver.1$ext serialver.1$ext \
  %{_mandir}/man1/serialver-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/wsgen.1$ext wsgen.1$ext \
  %{_mandir}/man1/wsgen-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/wsimport.1$ext wsimport.1$ext \
  %{_mandir}/man1/wsimport-%{sdklnk}.1$ext \
  --slave %{_mandir}/man1/xjc.1$ext xjc.1$ext \
  %{_mandir}/man1/xjc-%{sdklnk}.1$ext \
  --slave %{_datadir}/applications/jconsole.desktop jconsole.desktop \
  %{_jvmdir}/%{jredir}/lib/desktop/jconsole.desktop

update-alternatives \
  --install %{_jvmdir}/java-openjdk \
  java_sdk_openjdk %{_jvmdir}/%{sdklnk} %{priority} \
  --slave %{_jvmjardir}/java-openjdk \
  java_sdk_openjdk_exports %{jvmjarlink}
update-alternatives \
  --install %{_jvmdir}/java-%{javaver} \
  java_sdk_%{javaver} %{_jvmdir}/%{sdklnk} %{priority} \
  --slave %{_jvmjardir}/java-%{javaver} \
  java_sdk_%{javaver}_exports %{jvmjarlink}

%postun devel
if [ $1 -eq 0 ]
then
  update-alternatives --remove javac %{sdkbindir}/javac
  update-alternatives --remove java_sdk_openjdk %{_jvmdir}/%{sdklnk}
  update-alternatives --remove java_sdk_%{javaver} %{_jvmdir}/%{sdklnk}
fi

%post javadoc
update-alternatives \
  --install %{_javadocdir}/java javadocdir %{_javadocdir}/%{sdklnk}/api \
  %{priority}

%postun javadoc
if [ $1 -eq 0 ]
then
  update-alternatives --remove javadocdir %{_javadocdir}/%{sdklnk}/api
fi

%post accessibility
# create links to java-atk-wrapper
if [ ! -e %{_jvmdir}/%{jredir}/lib/%{archinstall}/libatk-wrapper.so ]; then
    ln -sf %{_libdir}/java-atk-wrapper/libatk-wrapper.so.0  %{_jvmdir}/%{jredir}/lib/%{archinstall}/libatk-wrapper.so
fi
if [ ! -e %{_jvmdir}/%{jredir}/lib/ext/java-atk-wrapper.jar ]; then
    ln -sf %{_libdir}/java-atk-wrapper/java-atk-wrapper.jar %{_jvmdir}/%{jredir}/lib/ext/java-atk-wrapper.jar
fi

%files -f %{name}.files
%defattr(-,root,root)
%dir %{_jvmdir}/%{jredir}/lib/%{archinstall}
%dir %{_datadir}/icons/hicolor
%{_datadir}/icons/hicolor/*x*/apps/java-%{javaver}.png

%files headless -f %{name}.files-headless
%defattr(-,root,root,-)
%dir %{_jvmdir}
%dir %{_jvmdir}/%{jredir}/
%dir %{_jvmdir}/%{jredir}/bin
%dir %{_jvmdir}/%{jredir}/lib
%dir %{_jvmdir}/%{jredir}/lib/%{archinstall}
%dir %{_jvmdir}/%{jredir}/lib/%{archinstall}/jli
%dir %{_jvmdir}/%{jredir}/lib/%{archinstall}/server
%dir %{_jvmdir}/%{jredir}/lib/cmm
%dir %{_jvmdir}/%{jredir}/lib/desktop
%dir %{_jvmdir}/%{jredir}/lib/ext
%dir %{_jvmdir}/%{jredir}/lib/images
%dir %{_jvmdir}/%{jredir}/lib/images/cursors
%dir %{_jvmdir}/%{jredir}/lib/management
%dir %{_jvmdir}/%{jredir}/lib/security
%dir %{_libdir}/jvm-exports
%dir %{_libdir}/jvm-private

%doc %{buildoutputdir}images/j2sdk-image/jre/ASSEMBLY_EXCEPTION
%doc %{buildoutputdir}images/j2sdk-image/jre/LICENSE
%doc %{buildoutputdir}images/j2sdk-image/jre/THIRD_PARTY_README

%dir %{_jvmdir}/%{sdkdir}
%{_jvmdir}/%{jrelnk}
%{_jvmjardir}/%{jrelnk}
%{_jvmprivdir}/*
%{jvmjardir}
%if 0%{?suse_version} <= 1130
%config(noreplace) %{cacerts}
%endif
%if 0%{?suse_version} > 1320
%ghost %{_jvmdir}/%{jredir}/lib/tzdb.dat
%endif
%config(noreplace) %{_jvmdir}/%{jredir}/lib/security/java.policy
%config(noreplace) %{_jvmdir}/%{jredir}/lib/security/java.security
%config(noreplace) %{_jvmdir}/%{jredir}/lib/security/blacklisted.certs
%config(noreplace) %{_jvmdir}/%{jredir}/lib/security/nss.cfg
%{_mandir}/man1/java-%{sdklnk}.1*
%{_mandir}/man1/jjs-%{sdklnk}.1*
%{_mandir}/man1/keytool-%{sdklnk}.1*
%{_mandir}/man1/orbd-%{sdklnk}.1*
%{_mandir}/man1/pack200-%{sdklnk}.1*
%{_mandir}/man1/policytool-%{sdklnk}.1*
%{_mandir}/man1/rmid-%{sdklnk}.1*
%{_mandir}/man1/rmiregistry-%{sdklnk}.1*
%{_mandir}/man1/servertool-%{sdklnk}.1*
%{_mandir}/man1/tnameserv-%{sdklnk}.1*
%{_mandir}/man1/unpack200-%{sdklnk}.1*
%{_jvmdir}/%{jredir}/lib/security/US_export_policy.jar
%{_jvmdir}/%{jredir}/lib/security/local_policy.jar

%files devel
%defattr(-,root,root,-)
%dir %{_jvmdir}/%{sdkdir}/bin
%dir %{_jvmdir}/%{sdkdir}/include
%dir %{_jvmdir}/%{sdkdir}/lib
%if %{with_systemtap}
%dir %{_jvmdir}/%{sdkdir}/tapset
%endif
%{_jvmdir}/%{sdkdir}/bin/*
%{_jvmdir}/%{sdkdir}/include/*
%{_jvmdir}/%{sdkdir}/lib/*

%if %{with_systemtap}
%{_jvmdir}/%{sdkdir}/tapset/*.stp
%endif
%{_jvmdir}/%{sdklnk}
%{_jvmjardir}/%{sdklnk}
%{_mandir}/man1/appletviewer-%{sdklnk}.1*
%{_mandir}/man1/extcheck-%{sdklnk}.1*
%{_mandir}/man1/idlj-%{sdklnk}.1*
%{_mandir}/man1/jar-%{sdklnk}.1*
%{_mandir}/man1/jarsigner-%{sdklnk}.1*
%{_mandir}/man1/javac-%{sdklnk}.1*
%{_mandir}/man1/javadoc-%{sdklnk}.1*
%{_mandir}/man1/javah-%{sdklnk}.1*
%{_mandir}/man1/javap-%{sdklnk}.1*
%{_mandir}/man1/jconsole-%{sdklnk}.1*
%{_mandir}/man1/jcmd-%{sdklnk}.1*
%{_mandir}/man1/jdb-%{sdklnk}.1*
%{_mandir}/man1/jdeps-%{sdklnk}.1*
%{_mandir}/man1/jhat-%{sdklnk}.1*
%{_mandir}/man1/jinfo-%{sdklnk}.1*
%{_mandir}/man1/jmap-%{sdklnk}.1*
%{_mandir}/man1/jps-%{sdklnk}.1*
%{_mandir}/man1/jrunscript-%{sdklnk}.1*
%{_mandir}/man1/jsadebugd-%{sdklnk}.1*
%{_mandir}/man1/jstack-%{sdklnk}.1*
%{_mandir}/man1/jstat-%{sdklnk}.1*
%{_mandir}/man1/jstatd-%{sdklnk}.1*
%{_mandir}/man1/native2ascii-%{sdklnk}.1*
%{_mandir}/man1/rmic-%{sdklnk}.1*
%{_mandir}/man1/schemagen-%{sdklnk}.1*
%{_mandir}/man1/serialver-%{sdklnk}.1*
%{_mandir}/man1/wsgen-%{sdklnk}.1*
%{_mandir}/man1/wsimport-%{sdklnk}.1*
%{_mandir}/man1/xjc-%{sdklnk}.1*

%if %{with_systemtap}
%{tapsetroot}
%endif

%files demo -f %{name}-demo.files
%defattr(-,root,root,-)

%files src
%defattr(-,root,root,-)
%{_jvmdir}/%{sdkdir}/src.zip

%files javadoc
%defattr(0644,root,root,0755)
%dir %{_javadocdir}
%dir %{_javadocdir}/%{sdklnk}
%{_javadocdir}/%{sdklnk}/*

%files accessibility
%defattr(-,root,root)
%dir %{_jvmdir}/%{jredir}/lib/ext
%config(noreplace) %{_jvmdir}/%{jredir}/lib/accessibility.properties
%ghost %{_jvmdir}/%{jredir}/lib/%{archinstall}/libatk-wrapper.so
%ghost %{_jvmdir}/%{jredir}/lib/ext/java-atk-wrapper.jar

%changelog
* Wed May 17 2017 fstrba@suse.com
- Upgrade to version jdk8u131 (icedtea 3.4.0) - bsc#1034849
  * Security fixes
  - S8163520, CVE-2017-3509: Reuse cache entries
  - S8163528, CVE-2017-3511: Better library loading
  - S8165626, CVE-2017-3512: Improved window framing
  - S8167110, CVE-2017-3514: Windows peering issue
  - S8168699: Validate special case invocations
  - S8169011, CVE-2017-3526: Resizing XML parse trees
  - S8170222, CVE-2017-3533: Better transfers of files
  - S8171121, CVE-2017-3539: Enhancing jar checking
  - S8171533, CVE-2017-3544: Better email transfer
  - S8172299: Improve class processing
  * New features
  - PR1969: Add AArch32 JIT port
  - PR3297: Allow Shenandoah to be used on AArch64
  - PR3340: jstack.stp should support AArch64
  * Import of OpenJDK 8 u131 build 11
  - S6474807: (smartcardio) CardTerminal.connect() throws
    CardException instead of CardNotPresentException
  - S6515172, PR3346: Runtime.availableProcessors() ignores Linux
    taskset command
  - S7155957:
    closed/java/awt/MenuBar/MenuBarStress1/MenuBarStress1.java
    hangs on win 64 bit with jdk8
  - S7167293: FtpURLConnection connection leak on
    FileNotFoundException
  - S8035568: [macosx] Cursor management unification
  - S8079595: Resizing dialog which is JWindow parent makes JVM
    crash
  - S8130769: The new menu can't be shown on the menubar after
    clicking the "Add" button.
  - S8146602:
    jdk/test/sun/misc/URLClassPath/ClassnameCharTest.java test
    fails with NullPointerException
  - S8147842: IME Composition Window is displayed at incorrect
    location
  - S8147910, PR3346: Cache initial active_processor_count
  - S8150490: Update OS detection code to recognize Windows
    Server 2016
  - S8160951: [TEST_BUG]
    javax/xml/bind/marshal/8134111/UnmarshalTest.java should be
    added into :needs_jre group
  - S8160958: [TEST_BUG]
    java/net/SetFactoryPermission/SetFactoryPermission.java
    should be added into :needs_compact2 group
  - S8161147: jvm crashes when -XX:+UseCountedLoopSafepoints is
    enabled
  - S8161195: Regression:
    closed/javax/swing/text/FlowView/LayoutTest.java
  - S8161993, PR3346: G1 crashes if active_processor_count
    changes during startup
  - S8162876: [TEST_BUG]
    sun/net/www/protocol/http/HttpInputStream.java fails
    intermittently
  - S8162916: Test sun/security/krb5/auto/UnboundSSL.java fails
  - S8164533: sun/security/ssl/SSLSocketImpl/CloseSocket.java
    failed with "Error while cleaning up threads after test"
  - S8167179: Make XSL generated namespace prefixes local to
    transformation process
  - S8168774: Polymorhic signature method check crashes javac
  - S8169465: Deadlock in com.sun.jndi.ldap.pool.Connections
  - S8169589: [macosx] Activating a JDialog puts to back another
    dialog
  - S8170307: Stack size option -Xss is ignored
  - S8170316: (tz) Support tzdata2016j
  - S8170814: Reuse cache entries (part II)
  - S8170888, PR3314, RH1284948: [linux] Experimental support for
    cgroup memory limits in container (ie Docker) environments
  - S8171388: Update JNDI Thread contexts
  - S8171949: [macosx] AWT_ZoomFrame Automated tests fail with
    error: The bitwise mask Frame.ICONIFIED is not setwhen the
    frame is in ICONIFIED state
  - S8171952: [macosx]
    AWT_Modality/Automated/ModalExclusion/NoExclusion/ModelessDialog
    test fails as DummyButton on Dialog did not gain focus when
  clicked.
  - S8173030: Temporary backout fix #8035568 from 8u131-b03
  - S8173031: Temporary backout fix #8171952 from 8u131-b03
  - S8173783, PR3328: IllegalArgumentException:
    jdk.tls.namedGroups
  - S8173931: 8u131 L10n resource file update
  - S8174844: Incorrect GPL header causes RE script to miss swap
    to commercial header for licensee source bundle
  - S8174985: NTLM authentication doesn't work with IIS if NTLM
    cache is disabled
  - S8176044: (tz) Support tzdata2017a
  * Backports
  - S6457406, PR3335: javadoc doesn't handle <a
    href='http://...'> properly in producing index pages
  - S8030245, PR3335: Update langtools to use try-with-resources
    and multi-catch
  - S8030253, PR3335: Update langtools to use strings-in-switch
  - S8030262, PR3335: Update langtools to use foreach loops
  - S8031113, PR3337: TEST_BUG:
    java/nio/channels/AsynchronousChannelGroup/Basic.java fails
    intermittently
  - S8031625, PR3335: javadoc problems referencing inner class
    constructors
  - S8031649, PR3335: Clean up javadoc tests
  - S8031670, PR3335: Remove unneeded -source options in javadoc
    tests
  - S8032066, PR3335: Serialized form has broken links to non
    private inner classes of package private
  - S8034174, PR2290: Remove use of JVM_* functions from java.net
    code
  - S8034182, PR2290: Misc. warnings in java.net code
  - S8035876, PR2290: AIX build issues after '8034174: Remove use
    of JVM_* functions from java.net code'
  - S8038730, PR3335: Clean up the way JavadocTester is invoked,
    and checks for errors.
  - S8040903, PR3335: Clean up use of BUG_ID in javadoc tests
  - S8040904, PR3335: Ensure javadoc tests do not overwrite
    results within tests
  - S8040908, PR3335: javadoc test TestDocEncoding should use
  - notimestamp
  - S8041150, PR3335: Avoid silly use of static methods in
    JavadocTester
  - S8041253, PR3335: Avoid redundant synonyms of NO_TEST
  - S8043780, PR3368: Use open(O_CLOEXEC) instead of
    fcntl(FD_CLOEXEC)
  - S8061305, PR3335: Javadoc crashes when method name ends with
    "Property"
  - S8072452, PR3337: Support DHE sizes up to 8192-bits and DSA
    sizes up to 3072-bits
  - S8075565, PR3337: Define @intermittent jtreg keyword and mark
    intermittently failing jdk tests
  - S8075670, PR3337: Remove intermittent keyword from some tests
  - S8078334, PR3337: Mark regression tests using randomness
  - S8078880, PR3337: Mark a few more intermittently failuring
    security-libs
  - S8133318, PR3337: Exclude intermittent failing PKCS11 tests
    on Solaris SPARC 11.1 and earlier
  - S8144539, PR3337: Update PKCS11 tests to run with security
    manager
  - S8144566, PR3352: Custom HostnameVerifier disables SNI
    extension
  - S8153711, PR3313, RH1284948: [REDO] JDWP: Memory Leak:
    GlobalRefs never deleted when processing invokeMethod command
  - S8155049, PR3352: New tests from 8144566 fail with "No
    expected Server Name Indication"
  - S8173941, PR3326: SA does not work if executable is DSO
  - S8174164, PR3334, RH1417266: SafePointNode::_replaced_nodes
    breaks with irreducible loops
  - S8174729, PR3336, RH1420518: Race Condition in
    java.lang.reflect.WeakCache
  - S8175097, PR3334, RH1417266: [TESTBUG] 8174164 fix missed the
    test
  * Bug fixes
  - PR3348: Architectures unsupported by SystemTap tapsets throw
    a parse error
  - PR3378: Perl should be mandatory
  - PR3389: javac.in and javah.in should use @PERL@ rather than a
    hardcoded path
  * AArch64 port
  - S8168699, PR3372: Validate special case invocations [AArch64
    support]
  - S8170100, PR3372: AArch64: Crash in C1-compiled code
    accessing References
  - S8172881, PR3372: AArch64: assertion failure: the int
    pressure is incorrect
  - S8173472, PR3372: AArch64: C1 comparisons with null only use
    32-bit instructions
  - S8177661, PR3372: Correct ad rule output register types from
    iRegX to iRegXNoSp
  * AArch32 port
  - PR3380: Zero should not be enabled by default on arm with the
    AArch32 HotSpot build
  - PR3384, S8139303, S8167584: Add support for AArch32
    architecture to configure and jdk makefiles
  - PR3385: aarch32 does not support -Xshare:dump
  - PR3386, S8164652: AArch32 jvm.cfg wrong for C1 build
  - PR3387: Installation fails on arm with AArch32 port as
    INSTALL_ARCH_DIR is arm, not aarch32
  - PR3388: Wrong path for jvm.cfg being used on arm with AArch32
    build
  * Shenandoah
  - Fix Shenandoah argument checking on 32bit builds.
  - Import from Shenandoah tag
    aarch64-shenandoah-jdk8u101-b14-shenandoah-merge-2016-07-25
  - Import from Shenandoah tag
    aarch64-shenandoah-jdk8u121-b14-shenandoah-merge-2017-02-20
  - Import from Shenandoah tag
    aarch64-shenandoah-jdk8u121-b14-shenandoah-merge-2017-03-06
  - Import from Shenandoah tag
    aarch64-shenandoah-jdk8u121-b14-shenandoah-merge-2017-03-09
  - Import from Shenandoah tag
    aarch64-shenandoah-jdk8u121-b14-shenandoah-merge-2017-03-23
* Wed Mar  1 2017 fstrba@suse.com
- Fix build of Sun Elliptical Curves Crypto provider on Tumbleweed.
  Fixes bsc#1026102.
- Clean the mozilla-nss requires and move them into the headless
* Tue Feb 21 2017 asn@cryptomilk.org
- Add a test to check that ECC is working
  * new file TestECDSA.java
* Wed Feb  1 2017 fstrba@suse.com
- Don't run bootstrap build for s390, since it is broken, instead
  introduce a little cycle on this platform, in order to have
  working openjdk8
* Sun Jan 29 2017 fstrba@suse.com
- Upgrade to version jdk8u121 (icedtea 3.3.0) - bsc#1020905
  * Security fixes
  - S8138725: Add options for Javadoc generation
  - S8140353: Improve signature checking
  - S8151934, CVE-2017-3231: Resolve class resolution
  - S8156804, CVE-2017-3241: Better constraint checking
  - S8158406: Limited Parameter Processing
  - S8158997: JNDI Protocols Switch
  - S8159507: RuntimeVisibleAnnotation validation
  - S8161218: Better bytecode loading
  - S8161743, CVE-2017-3252: Provide proper login context
  - S8162577: Standardize logging levels
  - S8162973: Better component components
  - S8164143, CVE-2017-3260: Improve components for menu items
  - S8164147, CVE-2017-3261: Improve streaming socket output
  - S8165071, CVE-2016-2183: Expand TLS support
  - S8165344, CVE-2017-3272: Update concurrency support
  - S8166988, CVE-2017-3253: Improve image processing performance
  - S8167104, CVE-2017-3289: Additional class construction
    refinements
  - S8167223, CVE-2016-5552: URL handling improvements
  - S8168705, CVE-2016-5547: Better ObjectIdentifier validation
  - S8168714, CVE-2016-5546: Tighten ECDSA validation
  - S8168728, CVE-2016-5548: DSA signing improvments
  - S8168724, CVE-2016-5549: ECDSA signing improvments
  * New features
  - PR3300: wget not required when downloading is disabled
  - PR3301: Support RHEL multilib installations which use the
    /usr/lib/jvm/java-1.x.0-openjdk.${arch} naming
  - PR3303: Allow Kerberos to be detected by old libs & headers
    method if pkg-config check fails
  * Import of OpenJDK 8 u112 build 16
  - S6477756: GraphicsDevice.getConfigurations() is slow taking 3
    or more seconds
  - S7172749: Xrender: Class cast exception in 2D code running an
    AWT regression test
  - S8017629: G1: UseSHM in combination with a G1HeapRegionSize >
    os::large_page_size() falls back to use small pages
  - S8022203: Intermittent test failures in demo/jvmti/hprof
  - S8022582: Relax response flags checking in
    sun.security.krb5.KrbKdcRep.check.
  - S8027575: b113 causing a lot of memory allocation and
    regression for wls_webapp_atomics
  - S8028486: java/awt/Window/WindowsLeak/WindowsLeak.java fails
  - S8030780: test/com/sun/corba/cachedSocket/7056731.sh leaves
    HelloServer behind
  - S8036630: Null ProtectionDomain in JVM can cause NPE because
    principals field is not initialized to an empty array
  - S8042660: vm/mlvm/anonloader/stress/byteMutation failed with:
    assert(index >=0 && index < _length) failed: symbol index
    overflow
  - S8044193: Need to add known answer tests for AES cipher
  - S8044575: testlibrary_tests/whitebox/vm_flags/UintxTest.java
    failed: assert(!res ||
    TypeEntriesAtCall::arguments_profiling_enabled()) failed: no
    profiling of arguments
  - S8048601: Tests for JCE crypto ciphers (part 1)
  - S8048621: Implement basic keystore tests
  - S8048622: Enhance tests for PKCS11 keystores with NSS
  - S8049021: Add smartcardio tests with APDU buffer
  - S8049312: AES/CICO test failed with on several modes
  - S8050402: Tests to check for use of policy files
  - S8050409: Test for JAAS getPrivateCredentials
  - S8054326: Confusing message in "Current rem set statistics"
  - S8055772: get_source.sh : version check assumes English
    localization
  - S8057791: Selection in JList is drawn with wrong colors in
    Nimbus L&F
  - S8058865: JMX Test Refactoring
  - S8067964: Native2ascii doesn't close one of the streams it
    opens
  - S8071487:
    javax/management/monitor/GaugeMonitorDeadlockTest.java timed
    out
  - S8071909: Port testlibrary improvments in jdk/test to
    hotspot/test as required for DCMD test port
  - S8073542: File Leak in
    jdk/src/java/base/unix/native/libnet/PlainDatagramSocketImpl.c
  - S8074784: Additional tests for XML DSig API
  - S8075007: Additional tests for krb5-related cipher suites
    with unbound server
  - S8075297: Tests for RFEs 4515853 and 4745056
  - S8075299: Additional tests for krb5 settings
  - S8075301: Tests for sun.security.krb5.principal system
    property
  - S8077276: allocating heap with UseLargePages and HugeTLBFS
    may trash existing memory mappings (linux)
  - S8078268: javax.swing.text.html.parser.Parser parseScript
    incorrectly optimized
  - S8078382: Wrong glyph is displayed for a derived font
  - S8080729: [macosx] java 7 and 8 JDialogs on multiscreen jump
    to parent frame on focus
  - S8085903: New fix for memory leak in ProtectionDomain cache
  - S8098581: SecureRandom.nextBytes() hurts performance with
    small size requests
  - S8129740: Incorrect class file created when passing lambda in
    inner class constructor
  - S8130127: streamline input parameter of Nashorn scripting
    $EXEC function
  - S8130309: Need to bailout cleanly if creation of stubs fails
    when codecache is out of space
  - S8130317: "ant test" fails to complete on Windows when run
    under cygwin shell
  - S8133070: Hot lock on BulkCipher.isAvailable
  - S8133309: Some unicode characters do not display any more
    after upgrading to Windows 10
  - S8134232: KeyStore.load() throws an IOException with a wrong
    cause in case of wrong password
  - S8135322: ConstantPool::release_C_heap_structures not run in
    some circumstances
  - S8136998: JComboBox prevents wheel mouse scrolling of
    JScrollPane
  - S8137240: Negative lookahead in RegEx breaks backreference
  - S8138906: [TEST_BUG] Test test/script/trusted/JDK-8087292.js
    intermittently fails.
  - S8141148: LDAP "follow" throws ClassCastException with Java 8
  - S8141541: Simplify Nashorn's Context class loader handling
  - S8143640: Showing incorrect result while passing specific
    argument in the Java launcher tools
  - S8143642: Nashorn shebang argument handling is broken
  - S8144160: Regression: two tests fail on Windows with "ant
    test" target
  - S8144221: fix Nashorn shebang argument handling on Mac/Linux
  - S8144703: ClassCastException: sun.font.CompositeFont cannot
    be cast to PhysicalFont
  - S8145305: fix Nashorn shebang handling on Cygwin
  - S8145984: [macosx] sun.lwawt.macosx.CAccessible leaks
  - S8146975: NullPointerException in
    IIOPInputStream.inputClassFields
  - S8147026: Convert an assert in ClassLoaderData to a guarantee
  - S8147451: Crash in
    Method::checked_resolve_jmethod_id(_jmethodID*)
  - S8147585: Annotations with lambda expressions has parameter
    result in wrong behavior.
  - S8147969: Print size of DH keysize when errors are encountered
  - S8148140: arguments are handled differently in apply for JS
    functions and AbstractJSObjects
  - S8148984: [macosx] Chinese Comma cannot be entered using
    Pinyin Input Method on OS X
  - S8150219: ReferenceError in 1.8.0_72
  - S8150234: Windows 10 App Containers disallow access to ICMP
    calls
  - S8150814: correct package declaration in Nashorn test
  - S8151722: TESTBUG: New test compiler/native/TestDirtyInt.sh
    should be modified
  - S8153149: Uninitialised memory in WinAccessBridge.cpp:1128
  - S8153192: (se) Selector.select(long) uses wrong timeout after
    EINTR (lnx)
  - S8153781: Issue in XMLScanner:
    EXPECTED_SQUARE_BRACKET_TO_CLOSE_INTERNAL_SUBSET when skipping
    large DOCTYPE section with CRLF at wrong place
  - S8153948: sun/security/mscapi/ShortRSAKey1024.sh fails with
    "Field length overflow"
  - S8154009: Some methods of java.security.Security require more
    permissions, than necessary
  - S8154069: Jaws reads wrong values from comboboxes when no
    element is selected
  - S8154144: Tests in com/sun/jdi fails intermittently with "jdb
    input stream closed prematurely"
  - S8154469: Update FSF address
  - S8154553: Incorrect GPL header in package-info.java reported
  - S8154558: Incorrect GPL header in ProcessEnvironment_md.c
    reported
  - S8154816: Caps Lock doesn't work as expected when using
    Pinyin Simplified input method
  - S8154831: CastII/ConvI2L for a range check is prematurely
    eliminated
  - S8155001: SystemTray.remove() leaks GDI Objects in Windows
  - S8155106: MHs.Lookup.findConstructor returns handles for
    array classes
  - S8155214: java/lang/invoke/PermuteArgsTest.java fails due to
    exhausted code cache
  - S8156478: 3 Buffer overrun defect groups in jexec.c
  - S8156521: Minor fixes and cleanups in NetworkInterface.c
  - S8156714: Parsing issue with automatic semicolon insertion
  - S8156836: SIGSEGV: Test
    test/compiler/jsr292/VMAnonymousClasses.java fails with JTREG
    4.2 b02
  - S8156896: Script stack trace should display function names
  - S8157160: JSON.stringify does not work on ScriptObjectMirror
    objects
  - S8157242: Some java/lang/invoke tests miss othervm
  - S8157444: exclude jjs shebang handling test from runs
  - S8157603: TestCipher.java doesn't check one of the decrypted
    message as expected
  - S8157680: Callback parameter of any JS builtin implementation
    should accept any Callable
  - S8157819: TypeError when a java.util.Comparator object is
    invoked as a function
  - S8158059: The fix for 8050402 was partially committed
  - S8158072: Need a test for JDK-7172749
  - S8158111: Make handling of 3rd party providers more stable
  - S8158178: java.awt.SplashScreen.getSize() returns incorrect
    size for high dpi splash screens
  - S8158338: Nashorn's ScriptLoader split delegation has to be
    adjusted
  - S8158373: SIGSEGV: Metadata::mark_on_stack
  - S8158467: AccessControlException is thrown on public Java
    class access if "script app loader" is set to null
  - S8158495: CCE: sun.java2d.NullSurfaceData cannot be cast to
    sun.java2d.opengl.OGLSurfaceData
  - S8158802: com.sun.jndi.ldap.SimpleClientId produces wrong
    hash code
  - S8158871: Long response times with G1 and StringDeduplication
  - S8159822: Non-synchronized access to shared members of
    com.sun.jndi.ldap.pool.Pool
  - S8160122: Backport of JDK-8159244 used wrong version of the
    JDK 9 fix
  - S8160518: Semicolon is not recognized as comment starting
    character (Kerberos)
  - S8160693: ScriptRunData.java uses bitwise AND instead of
    logical AND
  - S8161144: Fix for JDK-8147451 failed: Crash in
    Method::checked_resolve_jmethod_id(_jmethodID*)
  - S8162510: 8u112 L10n resource file updates
  - S8164453: 8u112 L10n resource file update - msgdrop 20
  * Import of OpenJDK 8 u121 build 13
  - S8037099: [macosx] Remove all references to GC from native
    OBJ-C code
  - S8059212: Modify sun/security/smartcardio manual regression
    tests so that they do not just fail if no cardreader found
  - S8139565: Restrict certificates with DSA keys less than 1024
    bits
  - S8140422: Add mechanism to allow non default root CAs to be
    not subject to algorithm restrictions
  - S8148516: Improve the default strength of EC in JDK
  - S8151893: Add security property to configure XML Signature
    secure validation mode
  - S8152438: Threads may do significant work out of the
    non-shared overflow buffer
  - S8153438: Avoid repeated "Please insert a smart card" popup
    windows
  - S8154005: Add algorithm constraint that specifies the
    restriction date
  - S8154015: Apply algorithm constraints to timestamped code
  - S8159410: InetAddress.isReachable returns true for non
    existing IP adresses
  - S8160108: Implement Serialization Filtering
  - S8161228: URL objects with custom protocol handlers have port
    changed after deserializing
  - S8161571: Verifying ECDSA signatures permits trailing bytes
  - S8163304: jarsigner -verbose -verify should print the
    algorithms used to sign the jar
  - S8163583: [macosx] Press "To Back" button on the Dialog, the
    Dialog moves behind the Frame
  - S8164908: ReflectionFactory support for IIOP and custom
    serialization
  - S8165230: RMIConnection addNotificationListeners failing with
    specific inputs
  - S8166389: [TEST_BUG]
    closed/java/security/Security/ReadProp/ReadProp.sh failing
  - S8166393: disabledAlgorithms property should not be strictly
    parsed
  - S8166432: Bad 8u112 merge of
    sun/security/tools/jarsigner/warnings/Test.java
  - S8166591: [macos 10.12] Trackpad scrolling of text on OS X
    10.12 Sierra is very fast (Trackpad, Retina only)
  - S8166739: Improve extensibility of ObjectInputFilter
    information passed to the filter
  - S8166875: (tz) Support tzdata2016g
  - S8166878: Connection reset during TLS handshake
  - S8167356: Follow up fix for jdk8 backport of 8164143. Changes
    for CMenuComponent.m were missed
  - S8167459: Add debug output for indicating if a chosen
    ciphersuite was legacy
  - S8167472: Chrome interop regression with JDK-8148516
  - S8167591: Add MD5 to signed JAR restrictions
  - S8168861: AnchorCertificates uses hardcoded password for
    cacerts keystore
  - S8168963: Backout JDK-8154005
  - S8168993: JDK8u121 L10n resource file update
  - S8169072: Backout JDK-8154015
  - S8169191: (tz) Support tzdata2016i
  - S8169688: Backout (remove) MD5 from
    jdk.jar.disabledAlgorithms for January CPU
  - S8169911: Enhanced tests for jarsigner -verbose -verify after
    JDK-8163304
  - S8170131: Certificates not being blocked by
    jdk.tls.disabledAlgorithms property
  - S8170268: 8u121 L10n resource file update - msgdrop 20
  * Bug fixes
  - PR3271: Always round glyph advance in 26.6 space
  - PR3271: Fix compatibility with vanilla Fontconfig
  - PR3271: Fix glyph y advance
  - PR3271: Replace 'infinality' with 'improved font rendering'
    (--enable-improved-font-rendering)
  - PR3271: Simplify glyph advance handling
  - PR3286: -ffp-contract not available on older GCCs
  - PR3302: zip should be optional, as it's only used in the
    manually invoked dist-openjdk and dist-openjdk-fsg rules
  - PR3304: zip still a requirement of the underlying OpenJDK
    build
  * PPC port
  - S8170873, PR3280: PPC64/aarch64: Poor StrictMath performance
    due to non-optimized compilation
  * AArch64 port
  - S8130309, PR3280: Need to bailout cleanly if creation of
    stubs fails when codecache is out of space (AArch64 changes)
  - S8132875, PR3280: AArch64: Fix error introduced into AArch64
    CodeCache by commit for 8130309
  - S8165673, PR3280: AArch64: Fix JNI floating point argument
    handling
  - S8170188, PR3280: jtreg test
    compiler/types/TestMeetIncompatibleInterfaceArrays.java causes
    JVM crash
  - S8170873, PR3280: PPC64/aarch64: Poor StrictMath performance
    due to non-optimized compilation
- Modified patch:
  * java-1_8_0-openjdk-gcc6.patch
  - rediff to changed context
- Require the exact version of mozilla-nss that the package was
  built against (bsc#1022053)
* Wed Nov  9 2016 fstrba@suse.com
- Upgrade to version jdk8u111 (icedtea 3.2.0)
  * Security fixes
    + S8146490: Direct indirect CRL checks
    + S8151921: Improved page resolution
    + S8155968: Update command line options
    + S8155973, CVE-2016-5542: Tighten jar checks (bsc#1005522)
    + S8156794: Extend data sharing
    + S8157176: Improved classfile parsing
    + S8157739, CVE-2016-5554: Classloader Consistency Checking
    (bsc#1005523)
    + S8157749: Improve handling of DNS error replies
    + S8157753: Audio replay enhancement
    + S8157759: LCMS Transform Sampling Enhancement
    + S8157764: Better handling of interpolation plugins
    + S8158302: Handle contextual glyph substitutions
    + S8158993, CVE-2016-5568: Service Menu services (bsc#1005525)
    + S8159495: Fix index offsets
    + S8159503: Amend Annotation Actions
    + S8159511: Stack map validation
    + S8159515: Improve indy validation
    + S8159519, CVE-2016-5573: Reformat JDWP messages (bsc#1005526)
    + S8160090: Better signature handling in pack200
    + S8160094: Improve pack200 layout
    + S8160098: Clean up color profiles
    + S8160591, CVE-2016-5582: Improve internal array handling
    (bsc#1005527)
    + S8160838, CVE-2016-5597: Better HTTP service (bsc#1005528)
    + PR3206, RH1367357: lcms2: Out-of-bounds read in
    Type_MLU_Read()
    + CVE-2016-5556 (bsc#1005524)
  * New features
    + PR1370: Provide option to build without debugging
    + PR1375: Provide option to strip and link debugging info after
    build
    + PR1537: Handle alternative Kerberos credential cache
    locations
    + PR1978: Allow use of system PCSC
    + PR2445: Support system libsctp
    + PR3182: Support building without pre-compiled headers
    + PR3183: Support Fedora/RHEL system crypto policy
    + PR3221: Use pkgconfig to detect Kerberos CFLAGS and libraries
  * Import of OpenJDK 8 u102 build 14
    + S4515292: ReferenceType.isStatic() returns true for arrays
    + S4858370: JDWP: Memory Leak: GlobalRefs never deleted when
    processing invokeMethod command
    + S6976636: JVM/TI test ex03t001 fails assertion
    + S7185591: jcmd-big-script.sh ERROR: could not find app's Java
    pid.
    + S8017462: G1: guarantee fails with
    UseDynamicNumberOfGCThreads
    + S8034168: ThreadMXBean/Locks.java failed, blocked on wrong
    object
    + S8036006: [TESTBUG] sun/tools/native2ascii/NativeErrors.java
    fails: Process exit code was 0, but error was expected.
    + S8041781: Need new regression tests for PBE keys
    + S8041787: Need new regressions tests for buffer handling for
    PBE algorithms
    + S8043836: Need new tests for AES cipher
    + S8044199: Tests for RSA keys and key specifications
    + S8044772: TempDirTest.java still times out with -Xcomp
    + S8046339: sun.rmi.transport.DGCAckHandler leaks memory
    + S8047031: Add SocketPermission tests for legacy socket types
    + S8048052: Permission tests for setFactory
    + S8048138: Tests for JAAS callbacks
    + S8048147: Privilege tests with JAAS Subject.doAs
    + S8048356: SecureRandom default provider tests
    + S8048357: PKCS basic tests
    + S8048360: Test signed jar files
    + S8048362: Tests for doPrivileged with accomplice
    + S8048596: Tests for AEAD ciphers
    + S8048599: Tests for key wrap and unwrap operations
    + S8048603: Additional tests for MAC algorithms
    + S8048604: Tests for strong crypto ciphers
    + S8048607: Test key generation of DES and DESEDE
    + S8048610: Implement regression test for bug fix of 4686632
    in JCE
    + S8048617: Tests for PKCS12 read operations
    + S8048618: Tests for PKCS12 write operations.
    + S8048619: Implement tests for converting PKCS12 keystores
    + S8048624: Tests for SealedObject
    + S8048819: Implement reliability test for DH algorithm
    + S8048820: Implement tests for SecretKeyFactory
    + S8048830: Implement tests for new functionality provided in
    JEP 166
    + S8049237: Need new tests for X509V3 certificates
    + S8049321: Support SHA256WithDSA in JSSE
    + S8049429: Tests for java client server communications with
    various TLS/SSL combinations.
    + S8049432: New tests for TLS property jdk.tls.client.protocols
    + S8049814: Additional SASL client-server tests
    + S8050281: New permission tests for JEP 140
    + S8050370: Need new regressions tests for messageDigest with
    DigestIOStream
    + S8050371: More MessageDigest tests
    + S8050374: More Signature tests
    + S8050427: LoginContext tests to cover JDK-4703361
    + S8050460: JAAS login/logout tests with LoginContext
    + S8050461: Tests for syntax checking of JAAS configuration
    file
    + S8054278: Refactor jps utility tests
    + S8055530: assert(_exits.control()->is_top() ||
    !_gvn.type(ret_phi)->empty()) failed: return value must be
    well defined
    + S8055844: [TESTBUG]
    test/runtime/NMT/VirtualAllocCommitUncommitRecommit.java
    fails on Solaris Sparc due to incorrect page size being used
    + S8059677: Thread.getName() instantiates Strings
    + S8061464: A typo in CipherTestUtils test
    + S8062536: [TESTBUG] Conflicting GC combinations in jdk tests
    + S8065076: java/net/SocketPermission/SocketPermissionTest.java
    fails intermittently
    + S8065078: NetworkInterface.getNetworkInterfaces() triggers
    intermittent test failures
    + S8066871: java.lang.VerifyError: Bad local variable type -
    local final String
    + S8068427: Hashtable deserialization reconstitutes table with
    wrong capacity
    + S8069038: javax/net/ssl/TLS/TLSClientPropertyTest.java needs
    to be updated for JDK-8061210
    + S8069253: javax/net/ssl/TLS/TestJSSE.java failed on Mac
    + S8071125: Improve exception messages in URLPermission
    + S8072081: Supplementary characters are rejected in comments
    + S8072463: Remove requirement that AKID and SKID have to match
    when building certificate chain
    + S8072725: Provide more granular levels for GC verification
    + S8073400: Some Monospaced logical fonts have a different
    width
    + S8073872: Schemagen fails with StackOverflowError if element
    references containing class
    + S8074931: Additional tests for CertPath API
    + S8075286: Additional tests for signature algorithm OIDs and
    transformation string
    + S8076486: [TESTBUG]
    javax/security/auth/Subject/doAs/NestedActions.java fails if
    extra VM options are given
    + S8076545: Text size is twice bigger under Windows L&F on Win
    8.1 with HiDPI display
    + S8076995: gc/ergonomics/TestDynamicNumberOfGCThreads.java
    failed with java.lang.RuntimeException: 'new_active_workers'
    missing from stdout/stderr
    + S8079138: Additional negative tests for XML signature
    processing
    + S8081512: Remove sun.invoke.anon classes, or move / co-locate
    them with tests
    + S8081771: ProcessTool.createJavaProcessBuilder() needs new
    addTestVmAndJavaOptions argument
    + S8129419: heapDumper.cpp: assert(length_in_bytes > 0) failed:
    nothing to copy
    + S8130150: Implement BigInteger.montgomeryMultiply intrinsic
    + S8130242: DataFlavorComparator transitivity exception
    + S8130304: Inference: NodeNotFoundException thrown with deep
    generic method call chain
    + S8130425: libjvm crash due to stack overflow in executables
    with 32k tbss/tdata
    + S8133023: ParallelGCThreads is not calculated correctly
    + S8134111: Unmarshaller unmarshalls XML element which doesn't
    have the expected namespace
    + S8135259: InetAddress.getAllByName only reports "unknown
    error" instead of actual cause
    + S8136506: Include sun.arch.data.model as a property that can
    be queried by jtreg
    + S8137068: Tests added in JDK-8048604 fail to compile
    + S8139040: Fix initializations before ShouldNotReachHere()
    etc. and enable -Wuninitialized on linux.
    + S8139581: AWT components are not drawn after removal and
    addition to a container
    + S8141243: Unexpected timezone returned after parsing a date
    + S8141420: Compiler runtime entries don't hold Klass* from
    being GCed
    + S8141445: Use of Solaris/SPARC M7 libadimalloc.so can
    generate unknown signal in hs_err file
    + S8141551: C2 can not handle returns with inccompatible
    interface arrays
    + S8143377: Test PKCS8Test.java fails
    + S8143647: Javac compiles method reference that allows results
    in an IllegalAccessError
    + S8144144: ORB destroy() leaks filedescriptors after
    unsuccessful connection
    + S8144593: Suppress not recognized property/feature warning
    messages from SAXParser
    + S8144957: Remove PICL warning message
    + S8145039: JAXB marshaller fails with ClassCastException on
    classes generated by xjc
    + S8145228: Java Access Bridge,
    getAccessibleStatesStringFromContext doesn't wrap the call to
    getAccessibleRole
    + S8145388: URLConnection.guessContentTypeFromStream returns
    image/jpg for some JPEG images
    + S8145974: XMLStreamWriter produces invalid XML for surrogate
    pairs on OutputStreamWriter
    + S8146035: Windows - With LCD antialiasing, some glyphs are
    not rendered correctly
    + S8146192: Add test for JDK-8049321
    + S8146274: Thread spinning on WeakHashMap.getEntry() with
    concurrent use of nashorn
    + S8147468: Allow users to bound the size of buffers cached in
    the per-thread buffer caches
    + S8147645: get_ctrl_no_update() code is wrong
    + S8147807: crash in libkcms.so on linux-sparc
    + S8148379: jdk.nashorn.api.scripting spec. adjustments,
    clarifications
    + S8148627: RestrictTestMaxCachedBufferSize.java to 64-bit
    platforms
    + S8148820: Missing @since Javadoc tag in Logger.log(Level,
    Supplier)
    + S8148926: Call site profiling fails on braces-wrapped
    anonymous function
    + S8149017: Delayed provider selection broken in RSA client key
    exchange
    + S8149029: Secure validation of XML based digital signature
    always enabled when checking wrapping attacks
    + S8149330: Capacity of StringBuilder should not get close to
    Integer.MAX_VALUE unless necessary
    + S8149334: JSON.parse(JSON.stringify([])).push(10) creates an
    array containing two elements
    + S8149368: [hidpi] JLabel font is twice bigger than JTextArea
    font on Windows 7,HiDPI, Windows L&F
    + S8149411: PKCS12KeyStore cannot extract AES Secret Keys
    + S8149417: Use final restricted flag
    + S8149450: LdapCtx.processReturnCode() throwing Null Pointer
    Exception
    + S8149453: [hidpi] JFileChooser does not scale properly on
    Windows with HiDPI display and Windows L&F
    + S8149543: range check CastII nodes should not be split
    through Phi
    + S8149743: JVM crash after debugger hotswap with lambdas
    + S8149744: fix testng.jar delivery in Nashorn build.xml
    + S8149915: enabling validate-annotations feature for xsd
    schema with annotation causes NPE
    + S8150002: Check for the validity of oop before printing it in
    verify_remembered_set
    + S8150470: JCK: api/xsl/conf/copy/copy19 test failure
    + S8150518: G1 GC crashes at
    G1CollectedHeap::do_collection_pause_at_safepoint(double)
    + S8150533: Test
    java/util/logging/LogManagerAppContextDeadlock.java times out
    intermittently.
    + S8150704: XALAN: ERROR: 'No more DTM IDs are available' when
    transforming with lots of temporary result trees
    + S8150780: Repeated offer and remove on ConcurrentLinkedQueue
    lead to an OutOfMemoryError
    + S8151064: com/sun/jdi/RedefineAddPrivateMethod.sh fails
    intermittently
    + S8151197: [TEST_BUG] Need to backport fix for
    test/javax/net/ssl/TLS/TestJSSE.java
    + S8151352: jdk/test/sample fails with "effective library path
    is outside the test suite"
    + S8151431: DateFormatSymbols triggers this.clone() in the
    constructor
    + S8151535: TESTBUG: java/lang/invoke/AccessControlTest.java
    should be modified to run with JTREG 4.1 b13
    + S8151731: Add new jtreg keywords to jdk 8
    + S8151998: VS2010 ThemeReader.cpp(758) : error C3861: 'round':
    identifier not found
    + S8152927: Incorrect GPL header in StubFactoryDynamicBase.java
    reported
    + S8153252: SA: Hotspot build on Windows fails if make/closed
    folder does not exist
    + S8153531: Improve exception messaging for RSAClientKeyExchange
    + S8153641: assert(thread_state == _thread_in_native) failed:
    Assumed thread_in_native while heap dump
    + S8153673: [BACKOUT] JDWP: Memory Leak: GlobalRefs never
    deleted when processing invokeMethod command
    + S8154304: NullpointerException at
    LdapReferralException.getReferralContext
    + S8154722: Test gc/ergonomics/TestDynamicNumberOfGCThreads.java
    fails
    + S8157078: 8u102 L10n resource file updates
    + S8157838: Personalized Windows Font Size is not taken into
    account in Java8u102
  * Import of OpenJDK 8 u111 build 14
    + S6882559: new JEditorPane("text/plain","") fails for null
    context class loader
    + S8049171: Additional tests for jarsigner's warnings
    + S8063086: Math.pow yields different results upon repeated
    calls
    + S8140530: Creating a VolatileImage with size 0,0 results in
    no longer working g2d.drawString
    + S8142926: OutputAnalyzer's shouldXXX() calls return this
    + S8147077: IllegalArgumentException thrown by
    api/java_awt/Component/FlipBufferStrategy/indexTGF_General
    + S8148127: IllegalArgumentException thrown by JCK test
    api/java_awt/Component/FlipBufferStrategy/indexTGF_General
    in opengl pipeline
    + S8150611: Security problem on sun.misc.resources.Messages*
    + S8153399: Constrain AppCDS behavior (back port)
    + S8157653: [Parfait] Uninitialised variable in awt_Font.cpp
    + S8158734: JEditorPane.createEditorKitForContentType throws
    NPE after 6882559
    + S8158994: Service Menu services
    + S8159684: (tz) Support tzdata2016f
    + S8160904: Typo in code from 8079718 fix :
    enableCustomValueHanlde
    + S8160934: isnan() is not available on older MSVC compilers
    + S8161141: correct bugId for JDK-8158994 fix push
    + S8162411: Service Menu services 2
    + S8162419: closed/com/oracle/jfr/runtime/TestVMInfoEvent.sh
    failing after JDK-8155968
    + S8162511: 8u111 L10n resource file updates
    + S8162792: Remove constraint DSA keySize < 1024 from
    jdk.jar.disabledAlgorithms in jdk8
    + S8164452: 8u111 L10n resource file update - msgdrop 20
    + S8165816: jarsigner -verify shows jar unsigned if it was
    signed with a weak algorithm
    + S8166381: Back out changes to the java.security file to not
    disable MD5
  * Backports
    + S8078628, PR3208: Zero build fails with pre-compiled headers
    disabled
    + S8141491, PR3159, G592292: Unaligned memory access in Bits.c
    + S8157306, PR3121: Random infrequent null pointer exceptions
    in javac (enabled on AArch64 only)
    + S8162384, PR3122: Performance regression: bimorphic inlining
    may be bypassed by type speculation
  * Bug fixes
    + PR3123: Some object files built without -fPIC on x86 only
    + PR3126: pax-mark-vm script calls "exit -1" which is invalid
    in dash
    + PR3127, G590348: Only apply PaX markings by default on
    running PaX kernels
    + PR3199: Invalid nashorn URL
    + PR3201: Update infinality configure test
    + PR3218: PR3159 leads to build failure on clean tree
  * AArch64 port
    + S8131779, PR3220: AARCH64: add Montgomery multiply intrinsic
    + S8167200, PR3220: AArch64: Broken stack pointer adjustment in
    interpreter
    + S8167421, PR3220: AArch64: in one core system, fatal error:
    Illegal threadstate encountered
    + S8167595, PR3220: AArch64: SEGV in stub code
    cipherBlockChaining_decryptAESCrypt
    + S8168888, PR3220: Port 8160591: Improve internal array
    handling to AArch64.
  * Shenandoah
    + PR3224: Shenandoah broken when building without pre-compiled
    headers
- Modified patch:
  * java-1_8_0-openjdk-gcc6.patch
    + rediff to a changed context
- Build against system kerberos for openSUSE 13.1 and greater and
  SLE12
- Build against system pcsc and sctp for openSUSE 13.2 and greater
  and SLE12
* Wed Sep 21 2016 fstrba@suse.com
- Added patch:
  * s390-java-opts.patch
  - Solve memory issues when building s390 version
* Tue Jul 26 2016 fstrba@suse.com
- Upgrade to version jdk8u101 (icedtea 3.1.0)
- New in release 3.1.0 (2016-07-25):
  * Security fixes
  - S8079718, CVE-2016-3458: IIOP Input Stream Hooking
    (bsc#989732)
  - S8145446, CVE-2016-3485: Perfect pipe placement (Windows
    only) (bsc#989734)
  - S8146514: Enforce GCM limits
  - S8147771: Construction of static protection domains under
    Javax custom policy
  - S8148872, CVE-2016-3500: Complete name checking (bsc#989730)
  - S8149070: Enforce update ordering
  - S8149962, CVE-2016-3508: Better delineation of XML processing
    (bsc#989731)
  - S8150752: Share Class Data
  - S8151925: Font reference improvements
  - S8152479, CVE-2016-3550: Coded byte streams (bsc#989733)
  - S8153312: Constrain AppCDS behavior
  - S8154475, CVE-2016-3587: Clean up lookup visibility
    (bsc#989721)
  - S8155981, CVE-2016-3606: Bolster bytecode verification
    (bsc#989722)
  - S8155985, CVE-2016-3598: Persistent Parameter Processing
    (bsc#989723)
  - S8158571, CVE-2016-3610: Additional method handle validation
    (bsc#989725)
  - CVE-2016-3552 (bsc#989726)
  - CVE-2016-3511 (bsc#989727)
  - CVE-2016-3503 (bsc#989728)
  - CVE-2016-3498 (bsc#989729)
  * New features
  - S8145547, PR1061: [AWT/Swing] Conditional support for GTK 3
    on Linux
  - PR2821: Support building OpenJDK with --disable-headful
  - PR2931, G478960: Provide Infinality Support via fontconfig
  - PR3079: Provide option to build Shenandoah on x86_64
  * Import of OpenJDK 8 u92 build 14
  - S6869327: Add new C2 flag to keep safepoints in counted
    loops.
  - S8022865: [TESTBUG] Compressed Oops testing needs to be
    revised
  - S8029630: Thread id should be displayed as a hex number in
    error report
  - S8029726: On OS X some dtrace probe names are mismatched with
    Solaris
  - S8029727: On OS X dtrace probes
    Call<type>MethodA/Call<type>MethodV are not fired.
  - S8029728: On OS X dtrace probes SetStaticBooleanField are not
    fired
  - S8038184: XMLSignature throws StringIndexOutOfBoundsException
    if ID attribute value is empty String
  - S8038349: Signing XML with DSA throws Exception when key is
    larger than 1024 bits
  - S8041501: ImageIO reader is not capable of reading JPEGs
    without JFIF header
  - S8041900: [macosx] Java forces the use of discrete GPU
  - S8044363: Remove special build options for unpack200 executable
  - S8046471: Use OPENJDK_TARGET_CPU_ARCH instead of legacy value
    for hotspot ARCH
  - S8046611: Build errors with gcc on sparc/fastdebug
  - S8047763: Recognize sparc64 as a sparc platform
  - S8048232: Fix for 8046471 breaks PPC64 build
  - S8052396: Catch exceptions resulting from missing font cmap
  - S8058563: InstanceKlass::_dependencies list isn't cleared from
    empty nmethodBucket entries
  - S8061624: [TESTBUG] Some tests cannot be ran under compact
    profiles and therefore shall be excluded
  - S8062901: Iterators is spelled incorrectly in the Javadoc for
    Spliterator
  - S8064330: Remove SHA224 from the default support list if
    SunMSCAPI enabled
  - S8065579: WB method to start G1 concurrent mark cycle should
    be introduced
  - S8065986: Compiler fails to NullPointerException when calling
    super with Object<>()
  - S8066974: Compiler doesn't infer method's generic type
    information in lambda body
  - S8067800: Clarify java.time.chrono.Chronology.isLeapYear for
    out of range years
  - S8068033: JNI exception pending in jdk/src/share/bin/java.c
  - S8068042: Check jdk/src/share/native/sun/misc/URLClassPath.c
    for JNI pending
  - S8068162: jvmtiRedefineClasses.cpp: guarantee(false) failed:
    OLD and/or OBSOLETE method(s) found
  - S8068254: Method reference uses wrong qualifying type
  - S8074696: Remote debugging session hangs for several minutes
    when calling findBootType
  - S8074935: jdk8 keytool doesn't validate pem files for RFC 1421
    correctness, as jdk7 did
  - S8078423: [TESTBUG] javax/print/PrintSEUmlauts/PrintSEUmlauts.java
    relies on system locale
  - S8080492: [Parfait] Uninitialised variable in
    jdk/src/java/desktop/windows/native/libawt/
  - S8080650: Enable stubs to use frame pointers correctly
  - S8122944: perfdata used is seen as too high on sparc zone with
    jdk1.9 and causes a test failure
  - S8129348: Debugger hangs in trace mode with TRACE_SENDS
  - S8129847: Compiling methods generated by Nashorn triggers high
    memory usage in C2
  - S8130506: javac AssertionError when invoking
    MethodHandle.invoke with lambda parameter
  - S8130910: hsperfdata file is created in wrong directory and
    not cleaned up if /tmp/hsperfdata_<username> has wrong permissions
  - S8131129: Attempt to define a duplicate BMH$Species class
  - S8131665: Bad exception message in HandshakeHash.getFinishedHash
  - S8131782: C1 Class.cast optimization breaks when Class is
    loaded from static final
  - S8132503: [macosx] Chinese full stop symbol cannot be entered
    with Pinyin IM on OS X
  - S8133207: ParallelProbes.java test fails after changes for
    JDK-8080115
  - S8133924: NPE may be thrown when xsltc select a non-existing
    node after JDK-8062518
  - S8134007: Improve string folding
  - S8134759: jdb: Incorrect stepping inside finally block
  - S8134963: [Newtest] New stress test for changing the coarseness
    level of G1 remembered set
  - S8136442: Don't tie Certificate signature algorithms to
    ciphersuites
  - S8137106: EUDC (End User Defined Characters) are not displayed
    on Windows with Java 8u60+
  - S8138745: Implement ExitOnOutOfMemory and CrashOnOutOfMemory
    in HotSpot
  - S8138764: In some cases the usage of TreeLock can be replaced
    by other synchronization
  - S8139373: [TEST_BUG] java/net/MulticastSocket/MultiDead.java
    failed with timeout
  - S8139424: SIGSEGV, Problematic frame: # V [libjvm.so+0xd0c0cc]
    void InstanceKlass::oop_oop_iterate_oop_maps_specialized<true,oopDesc*,MarkAndPushClosure>
  - S8139436: sun.security.mscapi.KeyStore might load incomplete
    data
  - S8139751: Javac crash with -XDallowStringFolding=false
  - S8139863: [TESTBUG] Need to port tests for JDK-8134903 to
    8u-dev
  - S8139985: JNI exception pending in
    jdk/src/jdk/hprof/agent/share/native/libhprof
  - S8140031: SA: Searching for a value in Threads does not work
  - S8140249: JVM Crashing During startUp If Flight Recording is
    enabled
  - S8140344: add support for 3 digit update release numbers
  - S8140587: Atomic*FieldUpdaters should use Class.isInstance
    instead of direct class check
  - S8141260: isReachable crash in windows xp
  - S8143297: Nashorn compilation time reported in nanoseconds
  - S8143397: It looks like InetAddress.isReachable(timeout) works
    incorrectly
  - S8143855: Bad printf formatting in frame_zero.cpp
  - S8143896: java.lang.Long is implicitly converted to double
  - S8143963: improve ClassLoader::trace_class_path to accept an
    additional outputStream* arg
  - S8144020: Remove long as an internal numeric type
  - S8144131: ArrayData.getInt implementations do not convert to
    int32
  - S8144483: One long Safepoint pause directly after each GC log
    rotation
  - S8144487: PhaseIdealLoop::build_and_optimize() must restore
    major_progress flag if skip_loop_opts is true
  - S8144885: agent/src/os/linux/libproc.h needs to support
    Linux/SPARC builds
  - S8144935: C2: safepoint is pruned from a non-counted loop
  - S8144937: [TEST_BUG] testlibrary_tests should be excluded for
    compact1 and compact2 execution
  - S8145017: Add support for 3 digit hotspot minor version numbers
  - S8145099: Better error message when SA can't attach to a process
  - S8145442: Add the facility to verify remembered sets for G1
  - S8145466: javac: No line numbers in compilation error
  - S8145539: (coll) AbstractMap.keySet and .values should not be
    volatile
  - S8145550: Megamorphic invoke should use CompiledFunction
    variants without any LinkLogic
  - S8145669: apply2call optimized callsite fails after becoming
    megamorphic
  - S8145722: NullPointerException in javadoc
  - S8145754: PhaseIdealLoop::is_scaled_iv_plus_offset() does not
    match AddI
  - S8146147: Java linker indexed property getter does not work
    for computed nashorn string
  - S8146566: OpenJDK build can't handle commas in LDFLAGS
  - S8146725: Issues with SignatureAndHashAlgorithm.getSupportedAlgorithms
  - S8146979: Backport of 8046471 breaks ppc64 build in jdk8u
    because 8072383 was badly backported before
  - S8147087: Race when reusing PerRegionTable bitmaps may result
    in dropped remembered set entries
  - S8147630: Wrong test result pushed to 8u-dev
  - S8147845: Varargs Array functions still leaking longs
  - S8147857: RMIConnector logs attribute names incorrectly
  - S8148353: [linux-sparc] Crash in libawt.so on Linux SPARC
  - S8150791: 8u76 L10n resource file translation update
  * Import of OpenJDK 8 u101 build 13
  - S6483657: MSCAPI provider does not create unique alias names
  - S6675699: need comprehensive fix for unconstrained ConvI2L
    with narrowed type
  - S8037557: test SessionCacheSizeTests.java timeout
  - S8038837: Add support to jarsigner for specifying timestamp
    hash algorithm
  - S8081778: Use Intel x64 CPU instructions for RSA acceleration
  - S8130150: Implement BigInteger.montgomeryMultiply intrinsic
  - S8130735: javax.swing.TimerQueue: timer fires late when
    another timer starts
  - S8143913: MSCAPI keystore should accept Certificate[] in
    setEntry()
  - S8144313: Test SessionTimeOutTests can be timeout
  - S8146240: Three nashorn files contain "GNU General Public
    License" header
  - S8146387: Test SSLSession/SessionCacheSizeTests socket accept
    timed out
  - S8146669: Test SessionTimeOutTests fails intermittently
  - S8146993: Several javax/management/remote/mandatory regression
    tests fail after JDK-8138811
  - S8147994: [macosx] JScrollPane jitters up/down during trackpad
    scrolling on MacOS/Aqua
  - S8151522: Disable 8130150 and 8081778 intrinsics by default
  - S8151876: (tz) Support tzdata2016d
  - S8152098: Fix 8151522 caused test
    compiler/intrinsics/squaretolen/TestSquareToLen.java to fail
  - S8157077: 8u101 L10n resource file updates
  * Backports
  - S6260348, PR3066: GTK+ L&F JTextComponent not respecting
    desktop caret blink rate
  - S6778087, PR1061: getLocationOnScreen() always returns (0, 0)
    for mouse wheel events
  - S6961123, PR2972: setWMClass fails to null-terminate WM_CLASS
    string
  - S8008657, PR3077: JSpinner setComponentOrientation doesn't
    affect on text orientation
  - S8014212, PR2866: Robot captures black screen
  - S8029339, PR1061: Custom MultiResolution image support on
    HiDPI displays
  - S8031145, PR3077: Re-examine closed i18n tests to see it they
    can be moved to the jdk repository.
  - S8034856, PR3095: gcc warnings compiling
    src/solaris/native/sun/security/pkcs11
  - S8034857, PR3095: gcc warnings compiling
    src/solaris/native/sun/management
  - S8035054, PR3095: JarFacade.c should not include ctype.h
  - S8035287, PR3095: gcc warnings compiling various libraries
    files
  - S8038631, PR3077: Create wrapper for awt.Robot with additional
    functionality
  - S8039279, PR3077: Move awt tests to openjdk repository
  - S8041561, PR3077: Inconsistent opacity behaviour between
    JCheckBox and JRadioButton
  - S8041592, PR3077: [TEST_BUG] Move 42 AWT hw/lw mixing tests
    to jdk
  - S8041915, PR3077: Move 8 awt tests to OpenJDK regression
    tests tree
  - S8043126, PR3077: move awt automated functional tests from
    AWT_Events/Lw and AWT_Events/AWT to OpenJDK repository
  - S8043131, PR3077: Move ShapedAndTranslucentWindows and GC
    functional AWT tests to regression tree
  - S8044157, PR3077: [TEST_BUG] Improve recently submitted
    AWT_Mixing tests
  - S8044172, PR3077: [TEST_BUG] Move regtests for 4523758 and
    AltPlusNumberKeyCombinationsTest to jdk
  - S8044429, PR3077: move awt automated tests for AWT_Modality
    to OpenJDK repository
  - S8044762, PR2960: com/sun/jdi/OptionTest.java test time out
  - S8044765, PR3077: Move functional tests
    AWT_SystemTray/Automated to openjdk repository
  - S8047180, PR3077: Move functional tests AWT_Headless/Automated
    to OpenJDK repository
  - S8047367, PR3077: move awt automated tests from AWT_Modality
    to OpenJDK repository - part 2
  - S8048246, PR3077: Move AWT_DnD/Clipboard/Automated functional
    tests to OpenJDK
  - S8049226, PR2960: com/sun/jdi/OptionTest.java test times out
    again
  - S8049617, PR3077: move awt automated tests from AWT_Modality
    to OpenJDK repository - part 3
  - S8049694, PR3077: Migrate functional
    AWT_DesktopProperties/Automated tests to OpenJDK
  - S8050885, PR3077: move awt automated tests from AWT_Modality
    to OpenJDK repository - part 4
  - S8051440, PR3077: move tests about maximizing undecorated to
    OpenJDK
  - S8052012, PR3077: move awt automated tests from AWT_Modality
    to OpenJDK repository - part 5
  - S8052408, PR3077: Move AWT_BAT functional tests to OpenJDK (3
    of 3)
  - S8053657, PR3077: [TEST_BUG] move some 5 tests related to
    undecorated Frame/JFrame to JDK
  - S8054143, PR3077: move awt automated tests from AWT_Modality
    to OpenJDK repository - part 6
  - S8054358, PR3077: move awt automated tests from AWT_Modality
    to OpenJDK repository - part 7
  - S8054359, PR3077: move awt automated tests from AWT_Modality
    to OpenJDK repository - part 8
  - S8055360, PR3077: Move the rest part of AWT
    ShapedAndTranslucent tests to OpenJDK
  - S8055664, PR3077: move 14 tests about setLocationRelativeTo
    to jdk
  - S8055836, PR3077: move awt tests from AWT_Modality to OpenJDK
    repository - part 9
  - S8056911, PR3077: Remove internal API usage from ExtendedRobot
    class
  - S8057694, PR3077: move awt tests from AWT_Modality to OpenJDK
    repository - part 10
  - S8058959, PR1061: closed/java/awt/event/ComponentEvent/MovedResizedTwiceTest/MovedResizedTwiceTest.java
    failed automatically
  - S8062606, PR3077: Fix a typo in java.awt.Robot class
  - S8063102, PR3077: Change open awt regression tests to avoid
    sun.awt.SunToolkit.realSync, part 1
  - S8063104, PR3077: Change open awt regression tests to avoid
    sun.awt.SunToolkit.realSync, part 2
  - S8063106, PR3077: Change open swing regression tests to avoid
    sun.awt.SunToolkit.realSync, part 1
  - S8063107, PR3077: Change open swing regression tests to avoid
    sun.awt.SunToolkit.realSync, part 2
  - S8064573, PR3077: [TEST_BUG] javax/swing/text/AbstractDocument/6968363/Test6968363.java
    is asocial pressing VK_LEFT and not releasing
  - S8064575, PR3077: [TEST_BUG] javax/swing/JEditorPane/6917744/bug6917744.java
    100 times press keys and never releases
  - S8064809, PR3077: [TEST_BUG] javax/swing/JComboBox/4199622/bug4199622.java
    contains a lot of keyPress and not a single keyRelease
  - S8067441, PR3077: Some tests fails with error: cannot find symbol
    getSystemMnemonicKeyCodes()
  - S8068228, PR3077: Test closed/java/awt/Mouse/MaximizedFrameTest/MaximizedFrameTest
    fails with GTKLookAndFeel
  - S8069361, PR1061: SunGraphics2D.getDefaultTransform() does not
    include scale factor
  - S8073320, PR1061: Windows HiDPI Graphics support
  - S8074807, PR3077: Fix some tests unnecessary using internal API
  - S8076315, PR3077: move 4 manual functional swing tests to
    regression suite
  - S8078504, PR3094: Zero lacks declaration of
    VM_Version::initialize()
  - S8129822, PR3077: Define "headful" jtreg keyword
  - S8132123, PR1061: MultiResolutionCachedImage unnecessarily
    creates base image to get its size
  - S8133539, PR1061: [TEST_BUG] Split
    java/awt/image/MultiResolutionImageTest.java in two to allow
    restricted access
  - S8137571, PR1061: Linux HiDPI Graphics support
  - S8142406, PR1061: [TEST] MultiResolution image: need test to
    cover the case when @2x image is corrupted
  - S8145188, PR2945: No LocalVariableTable generated for the
    entire JDK
  - S8150258, PR1061: [TEST] HiDPI: create a test for
    multiresolution menu items icons
  - S8150724, PR1061: [TEST] HiDPI: create a test for
    multiresolution icons
  - S8150844, PR1061: [hidpi] [macosx] -Dsun.java2d.uiScale should
    be taken into account for OS X
  - S8151841, PR2882: Build needs additional flags to compile with
    GCC 6 [plus parts of 8149647 & 8032045]
  - S8155613, PR1061: [PIT] crash in
    AWT_Desktop/Automated/Exceptions/BasicTest
  - S8156020, PR1061: 8145547 breaks AIX and and uses RTLD_NOLOAD
    incorrectly
  - S8156128, PR1061: Tests for [AWT/Swing] Conditional support
    for GTK 3 on Linux
  - S8158260, PR2991, RH1341258: PPC64: unaligned Unsafe.getInt can
    lead to the generation of illegal instructions (bsc#988651)
  - S8159244, PR3074: Partially initialized string object created
    by C2's string concat optimization may escape
  - S8159690, PR3077: [TESTBUG] Mark headful tests with @key
    headful.
  - S8160294, PR2882, PR3095: Some client libraries cannot be
    built with GCC 6
  * Bug fixes
  - PR1958: GTKLookAndFeel does not honor
    gtk-alternative-button-order
  - PR2822: Feed LIBS & CFLAGS into configure rather than make to
    avoid re-discovery by OpenJDK configure
  - PR2932: Support ccache in a non-automagic manner
  - PR2933: Support ccache 3.2 and later
  - PR2964: Set system defaults based on OS
  - PR2974, RH1337583: PKCS#10 certificate requests now use CRLF
    line endings rather than system line endings
  - PR3078: Remove duplicated line dating back to 6788347 and
    6894807
  - PR3083, RH1346460: Regression in SSL debug output without an
    ECC provider
  - PR3089: Remove old memory limits patch
  - PR3090, RH1204159: SystemTap is heavily confused by multiple
    JDKs
  - PR3095: Fix warnings in URLClassPath.c
  - PR3096: Remove dead --disable-optimizations option
  - PR3105: Use version from hotspot.map to create tarball filename
  - PR3106: Handle both correctly-spelt property
    "enableCustomValueHandler" introduced by S8079718 and typo
    version
  - PR3108: Shenandoah patches not included in release tarball
  - PR3110: Update hotspot.map documentation in INSTALL
  * AArch64 port
  - S8145320, PR3078: Create unsafe_arraycopy and
    generic_arraycopy for AArch64
  - S8148328, PR3078: aarch64: redundant lsr instructions in stub
    code.
  - S8148783, PR3078: aarch64: SEGV running SpecJBB2013
  - S8148948, PR3078: aarch64: generate_copy_longs calls align()
    incorrectly
  - S8149080, PR3078: AArch64: Recognise disjoint array copy in
    stub code
  - S8149365, PR3078: aarch64: memory copy does not prefetch on
    backwards copy
  - S8149907, PR3078: aarch64: use load/store pair instructions
    in call_stub
  - S8150038, PR3078: aarch64: make use of CBZ and CBNZ when
    comparing narrow pointer with zero
  - S8150045, PR3078: arraycopy causes segfaults in SATB during
    garbage collection
  - S8150082, PR3078: aarch64: optimise small array copy
  - S8150229, PR3078: aarch64: pipeline class for several
    instructions is not set correctly
  - S8150313, PR3078: aarch64: optimise array copy using SIMD
    instructions
  - S8150394, PR3078: aarch64: add support for 8.1 LSE CAS
    instructions
  - S8151340, PR3078: aarch64: prefetch the destination word for
    write prior to ldxr/stxr loops.
  - S8151502, PR3078: optimize pd_disjoint_words and
    pd_conjoint_words
  - S8151775, PR3078: aarch64: add support for 8.1 LSE atomic
    operations
  - S8152537, PR3078: aarch64: Make use of CBZ and CBNZ when
    comparing unsigned values with zero.
  - S8152840, PR3078: aarch64: improve _unsafe_arraycopy stub
    routine
  - S8153713, PR3078: aarch64: improve short array clearing using
    store pair
  - S8153797, PR3078: aarch64: Add Arrays.fill stub code
  - S8154537, PR3078: AArch64: some integer rotate instructions
    are never emitted
  - S8154739, PR3078: AArch64: TemplateTable::fast_xaccess loads
    in wrong mode
  - S8155015, PR3078: Aarch64: bad assert in spill generation
    code
  - S8155100, PR3078: AArch64: Relax alignment requirement for
    byte_map_base
  - S8155612, PR3078: Aarch64: vector nodes need to support
    misaligned offset
  - S8155617, PR3078: aarch64: ClearArray does not use DC ZVA
  - S8155653, PR3078: TestVectorUnalignedOffset.java not pushed
    with 8155612
  - S8156731, PR3078: aarch64: java/util/Arrays/Correct.java fails
    due to _generic_arraycopy stub routine
  - S8157841, PR3078: aarch64: prefetch ignores cache line size
  - S8157906, PR3078: aarch64: some more integer rotate
    instructions are never emitted
  - S8158913, PR3078: aarch64: SEGV running Spark terasort
  - S8159052, PR3078: aarch64: optimise unaligned copies in
    pd_disjoint_words and pd_conjoint_words
  - S8159063, PR3078: aarch64: optimise unaligned array copy long
  - PR3078: Cleanup remaining differences from aarch64/jdk8u tree
- Removed patches:
  * compare-pointer-with-literal.patch
  * implicit-pointer-decl.patch
  * hotspot-aarch64-fix-48bit-va.patch
  - Fixed differently upsteam
- Modified patch:
  * java-1_8_0-openjdk-gcc6.patch
  - Rediff to new context
- Remove hacks to make build on ix86, since it seems they are not
  needed anymore
- Remove special flags for gcc6, since they are handled upstream
* Thu Jul  7 2016 fstrba@suse.com
- Fix script linking /usr/share/javazi/tzdb.dat for platform where
  it applies (bsc#987895)
- Enable SunEC for SLE12 and Leap
* Tue Jun 14 2016 agraf@suse.com
- Fix aarch64 running with 48 bits va space (bsc#984684)
  * hotspot-aarch64-fix-48bit-va.patch
* Fri Jun  3 2016 fstrba@suse.com
- Added patch:
  * disable-doclint-by-default-patch
  - Disable Doclint while building javadoc by default. OpenJDK 8
    adds and enables doclint by default. This catches issues in
    javadoc comments. It is too strict, breaks javadoc compilation
    and, in general, breaks the build for old code known to build
    with previous versions of OpenJDK.
- Cycle make on i586 in order to prevent some random build errors
  that are not easily reproduceable and thus fixable.
* Tue May 31 2016 fstrba@suse.com
- Added patch:
  * java-1_8_0-openjdk-gcc6.patch
    + Fix build with gcc 6.1
- Add -fno-delete-null-pointer-checks -fno-lifetime-dse to try to
  avoid some crashes
* Thu Apr 28 2016 fstrba@suse.com
- Upgrade to version jdk8u91 (icedtea 3.0.1, bsc#976340)
- Icedtea changes from 2.6.5
  * Security fixes
  - S8129952, CVE-2016-0686: Ensure thread consistency
  - S8132051, CVE-2016-0687: Better byte behavior
  - S8138593, CVE-2016-0695: Make DSA more fair
  - S8139008: Better state table management
  - S8143167, CVE-2016-3425: Better buffering of XML strings
  - S8143945, CVE-2016-3426: Better GCM validation
  - S8144430, CVE-2016-3427: Improve JMX connections
  - S8146494: Better ligature substitution
  - S8146498: Better device table adjustments
  * Import of OpenJDK 8 u91 build 14
  - S8002116: This JdbReadTwiceTest.sh gets an exit 1
  - S8007890: [TESTBUG] JcmdWithNMTDisabled.java fails when
    invoked with NMT explicitly turned on
  - S8036132: Tab characters in test/com/sun/jdi files
  - S8038963: com/sun/jdi tests fail because cygwin's ps sometimes
    misses processes
  - S8044419: TEST_BUG: com/sun/jdi/JdbReadTwiceTest.sh fails when
    run under root
  - S8059661: Test SoftReference and OOM behavior
  - S8067422: Lambda method names are unnecessarily unstable
  - S8073735: [TEST_BUG] compiler/loopopts/CountedLoopProblem.java
    got OOME
  - S8074146: [TEST_BUG] jdb has succeded to read an unreadable
    file
  - S8130212: Thread::current() might access freed memory on
    Solaris
  - S8132890: Text Overlapping on Dot Matrix Printers
  - S8134297: NPE in GSSNameElement nameType check
  - S8134650: Xsl transformation gives different results in 8u66
  - S8134828: Scrollbar thumb disappears with Nimbus L&F
  - S8138589: Correct limits on unlimited cryptography
  - S8138811: Construction of static protection domains
  - S8140268: Generate link to specification license for JavaDoc
    API documentation
  - S8141229: [Parfait] Null pointer dereference in cmsstrcasecmp
    of cmserr.c
  - S8143002: [Parfait] JNI exception pending in fontpath.c:1300
  - S8143959: Certificates requiring blacklisting
  - S8146477: [TEST_BUG] ClientJSSEServerJSSE.java failing again
  - S8146518: Zero interpreter broken with better byte behaviour
  - S8146967: [TEST_BUG] javax/security/auth/SubjectDomainCombiner/Optimize.java
    should use 4-args ProtectionDomain constructor
  - S8147567: InterpreterRuntime::post_field_access not updated
    for boolean in JDK-8132051
  - S8148446: (tz) Support tzdata2016a
  - S8148475: Missing SA Bytecode updates.
  - S8148487: PPC64: Better byte behavior
  - S8148522: Backout JDK-8138811 from 2016 Apr CPU repo
  - S8149170: Better byte behavior for native arguments
  - S8149367: PolicyQualifierInfo/index_Ctor JCk test fails with
    IOE: Invalid encoding for PolicyQualifierInfo
  - S8150012: Better byte behavior for reflection
  - S8150790: 8u75 L10n resource file translation update
  * Backports
  - S8148752, PR2943: Compiled StringBuilder code throws
    StringIndexOutOfBoundsException
  - S8154210: Zero: Better byte behaviour
  - S8154413: AArch64: Better byte behaviour
  - S4890063, PR2304, RH1214835: HPROF: default text truncated
    when using doe=n option
  - S6425769, PR2859: Allow specifying an address to bind JMX
    remote connector
  - S8000650, PR2462: unpack200.exe should check gzip crc
  - S8031668, PR2842: TOOLCHAIN_FIND_COMPILER unexpectedly
    resolves symbolic links
  - S8035341: Allow using a system installed libpng
  - S8038392: Generating prelink cache breaks JAVA 'jinfo' utility
    normal behavior
  - S8042159: Allow using a system-installed lcms2
  - S8042806: Splashscreen uses libjpeg-internal macros
  - S8043805: Allow using a system-installed libjpeg
  - S8044235: src.zip should include all sources
  - S8074839, PR2462: Resolve disabled warnings for libunpack and
    the unpack200 binary
  - S8074859, PR1937: Turn on warnings as error
  - S8087218, PR2740: Constant fold loads from final instance
    fields in VM anonymous classes
  - S8139932, PR2739: Typo in makefile changes for 8043805 [Allow
    using a system-installed libjpeg]
  - S8140483, PR2740: Atomic*FieldUpdaters final fields should be
    trusted
  - S8140620, PR2769: Find and load default.sf2 as the default
    soundbank on Linux
  - S8145096, PR2854: Undefined behaviour in HotSpot
  - S8145982, PR2859: JMXInterfaceBindingTest is failing
    intermittently
  - S8146015, PR2859: JMXInterfaceBindingTest is failing
    intermittently for IPv6 addresses
  - S8148351, PR2842: Only display resolved symlink for compiler,
    do not change path
  - S8150954, PR2866, RH1176206: AWT Robot not compatible with
    GNOME Shell
  * Bug fixes
  - PR2933: Support ccache 3.2 and later
  - PR2934: SunEC provider throwing KeyException with current NSS
  - S8041658: Use of -fdevirtualize on macroAssembler_x86.o
    (via -O2) with gcc 4.9.0 creates broken VM
  - PR94: empty install target in Makefile.am
  - PR729: GTKLookAndFeel should be the system look&feel on all
    GNU/Linux desktops
  - PR1275: Provide option to turn off downloading of tarballs
  - PR1281, RH513605: Updating/Installing OpenJDK should recreate
    the shared class-data archive
  - PR1289: Allow JARs to be optionally compressed by setting
    COMPRESS_JARS
  - PR1291: Ensure unlimited crypto policy is in place.
  - PR1325: Only add classes to rt-source-files.txt if actually
    needed
  - PR1341: Remove Rhino support
  - PR1346: Filter out -j option to make
  - PR1347: Update list of checked JDKs
  - PR1348: java -version output is broken
  - PR1357: Make XRender mandatory
  - PR1359: Check for /usr/lib64 JVMs and generic JPackage
    alternative
  - PR1364: Replace hgforest support
  - PR1367: Support using the system installation of LCMS
  - PR1368: Ensure debug data is available for all libraries and
    binaries without redundant files
  - PR1369: Remove outdated bootstrap configure tests or make them
    fail on error
  - PR1377: Forwardport javac detection / usability test from
    IcedTea 2.x
  - PR1379: Add build support for Zero AArch64
  - PR1413: Undefined reference to libz during link of unpack200
  - PR1741: Break PulseAudio provider out into IcedTea-Sound
  - PR1766: Expand architecture support
  - PR1774: Support GIF lib v5
  - PR1774: Correct #ifdef to #if
  - PR1796: make fails with "computed checksum did NOT match"
  - PR1806: Support Debian/Ubuntu 7 & 8 OpenJDK Installs as Boot
    JDK
  - PR1812: Unable to locate HotSpot checksum when downloading
  - PR1813: HotSpot URL should be used with --enable-hg
  - PR1815: Split download/extraction rules for OpenJDK so they
    can run in parallel
  - PR1829: Support AM_MAINTAINER_MODE
  - PR1834, RH1022017: Report elliptic curves supported by NSS,
    not the SunEC library
  - PR1845: jstack.stp in OpenJDK8 is broken
  - PR1869: Avoid x86 workaround when running Zero rather than a
    JIT
  - PR1889: Allow tarball checksumming to be disabled
  - PR1935: HotSpot extraction needs to depend on the tarball
    being downloaded
  - PR1937: Add configure option for -Werror
  - PR1938: Zero broken by enforced use of -Werror
  - PR1942: Bug reports lack IcedTea version & distribution
    packaging information
  - PR1950: Add build support for Zero SH
  - PR1965, G498288: Allow builds on PaX kernels
  - PR1968: Move to new OpenJDK bug URL format
  - PR1975: SystemTap probes for the garbage collector.
  - PR1977: Support using the system installation of Zlib
  - PR1979: Support using the system installation of libjpeg
  - PR1980: Support using the system installation of giflib
  - PR1981: Support using the system installation of libpng
  - PR1983: Support using the system installation of NSS with the
    SunEC provider
  - PR1994: make dist broken
  - PR2001: Synchronise HEAD tarball paths with release branch
    paths
  - PR2066: Unset OS before running OpenJDK build
  - PR2095, RH1163501: 2048-bit DH upper bound too small for
    Fedora infrastructure
  - PR2126: Synchronise elliptic curves in
    sun.security.ec.NamedCurve with those listed by NSS
  - PR2127: SunEC provider crashes when built using system NSS
  - PR2199: Support giflib 5.1.0
  - PR2212: DGifCloseFile call should check the return value, not
    the error code, for failure
  - PR2227: giflib 5.1 conditional excludes 6.0, 7.0, etc.
  - PR2237, RH1194378: ppc64le should report its os.arch as
    ppc64le so tools can detect it
  - PR2248: HotSpot tarball fails verification after download
  - PR2256: Add SystemTap tests
  - PR2257: clean-extract-nashorn rule is never run
  - PR2321: Checksum of policy JAR files changes on every build
  - PR2329: jamvm parallel unpack failures
  - PR2339: Fail early if there is no native HotSpot JIT & all
    other options are disabled
  - PR2348: Avoid following symlinks for CACAO and JamVM patches
  - PR2351: Split CACAO rule into configure and make stages
  - PR2352: Split JamVM rule into configure, make and make install
    stages
  - PR2358: Add aliases for all stamp targets
  - PR2362: Update HACKING & fsg.sh.in
  - PR2363: Remove EC source code prior to build
  - PR2369: SunEC provider is partially installed
  - PR2377: PaX mark the installed JDK so it runs on hardened
    systems
  - PR2383: Location of docs directory in install-data-local is
    incorrect
  - PR2392: Make elliptic curve removal optional
  - PR2400, RH1206656: Zero JVM crashes on startup when built with
    GCC 5
  - PR2407: Fix automatic enabling of the Zero build on non-JIT
    architectures which don't use CACAO or JamVM
  - PR2408: Enable Zero when Shark is enabled
  - PR2409: Update Zero macro to match one in IcedTea 2.x
  - PR2410: Support PPC64 JIT on ppc64le
  - PR2411: Fix references to hotspot.map following PR2001
  - PR2413: OpenJDK doesn't auto-select Zero on architectures
    where no server JVM is available
  - PR2414: CFLAGS, CXXFLAGS and LDFLAGS should be passed to
    OpenJDK build
  - PR2415: JVM -Xmx requirement is too high on s390
  - PR2428: OpenJDK build can't handle commas in LDFLAGS
  - PR2429: OpenJDK build does not copy a symlinked cacerts file
  - PR2432: ppc64 JIT doesn't support class data sharing
  - PR2433: ppc64le does not support -Xshare:dump
  - PR2434: SystemTap support is no longer optional
  - PR2439: NSS PKCS11 regression - due to java.security automatic
    loading
  - PR2443: install stage fails where
    BUILD_ARCH_DIR != INSTALL_ARCH_DIR
  - PR2447: Allow greater control of Javadoc installation
    directory
  - PR2448: Install TRADEMARK, COPYING and ChangeLog as RPM spec
    file does
  - PR2454: install-data-local needs to check that classes.jsa
    actually exists
  - PR2456: Installation path for hotspot_gc.stp is wrong, due to
    changed j2sdk-image location
  - PR2459: Policy JAR files should be timestamped with the date
    of the policy file they hold
  - PR2511: Reset success following calls in LayoutManager.cpp
  - PR2541: Allow the user to specify the cacerts file to use
  - PR2544: Desktop files do not allow installation from multiple
    versions of IcedTea
  - PR2547: Extend tarball checksumming option to allow the
    checksum to be specified
  - PR2631: jvm.cfg missing for ppc64le
  - PR2633: s390 builds still fail as BUILD_NUM_BITS is never set
  - PR2675: Update ppc64le autotools infrastructure following
    PR2237
  - PR2691, G564746: ./configure is unable to compile using distcc
    for icedtea-3.0.0_pre06
  - PR2737: Allow multiple PKCS11 library initialisation to be a
    non-critical error.
  - PR2738: java.lang.UnsatisfiedLinkError: no javalcms in
    java.library.path
  - PR2743: Remove bad AArch64 merge fragment
  - PR2759: LCMS library should be named javalcms, not lcms, to
    avoid potential conflicts with the system library
  - PR2766: Remove all references to GCJ
  - PR2767: Remove remaining rogue binaries from OpenJDK tree
  - PR2768: Move SystemTap GCC 4.5 patch to OpenJDK tree or
    discard if no longer needed
  - PR2777: Fix MAX/MIN template usage on s390
  - PR2804: test/tapset/jstaptest.pl should be executable
  - PR2815: Race condition in SunEC provider with system NSS
  - PR2825: Placement of -lfreebl matters when using bfd linker
  - PR2826: Provide option to disable SystemTap tests
  - PR2841: Parallelism issues resulting from PR2459
  - PR2863: IcedTea doesn't pass through build and host triplets
    to OpenJDK's configure
  - PR2865: Handle uninstallation.
  - PR2869: Revert CRC fix (S8000650) backported as part of PR2462
  - PR2873: Fix make distcheck.
  - PR2880: Add missing test directory in make check.
  - PR2885: Location of 'stap' executable is hard-coded
  - PR2888: OpenJDK should check for system cacerts database (e.g.
    /etc/pki/java/cacerts)
  - PR2899: Don't use WithSeed versions of NSS functions as they
    don't fully process the seed
  - PR2906: Support prefixed variants of GNU tools used on *BSD
    systems
  - PR2907: Replace --with-abs-install-dir with usual --prefix
  - PR2917: Don't pass --with-cacerts-file to build if
    USE_ALT_CACERTS_FILE is not set
  - PR2918: Makefile handles cacerts as a symlink, but the
    configure check doesn't
  - PR2920: PaX marking fails on filesystems which don't support
    extended attributes
  - PR2921: Uninstallation of docs deletes too much
  - Don't substitute 'j' for '-j' inside -I directives
  - Extend 8041658 to all files in the HotSpot build.
  - Remove jcheck
  * AArch64 port
  - PR1970: Imported from aarch64 jdk8 repository.
  - PR2853: Fix build for aarch64/zero
  - PR2853: Remaining miscellaneous synchronisation changes from
    aarch64/jdk8u
  - PR2853: Remove AArch64-specific code in generateOptoStub.cpp.
  - PR2853: Remove some AArch64-specific code in share/.
  - PR2853: Remove some unnecessary divergences from jdk8u.
  - PR2853: Revert AArch64 jvm.cfg divergence
  - PR2853: Revert changes to libpng source code now 8078245 is in
    place.
  - PR2922: Import latest AArch64 changes from aarch64-port/jdk8u
    (aarch64-jdk8u77-b03)
  - S8150652, PR2922: Remove unused code in AArch64 back end
  * JamVM
  - JSR 292: Invoke Dynamic
  - JSR 308: Type Annotations
  - JSR 335: Lambda Expressions
  - JSR 901: VM support for method parameter reflection
  - JEP 171: Implement fence methods in sun.misc.Unsafe
  - sun.misc.Unsafe: additional methods get/putAddress.
  - FreeClassData: adjust method count for Miranda methods
  - Fix invokesuper check in invokespecial opcode
  - Fix non-direct interpreter invokespecial super-class check
  - When GC'ing a native method don't try to free code
  - Do not free unprepared Miranda method code data
  - Set anonymous class protection domain
  - JVM_IsVMGeneratedMethodIx stub
  - Dummy implementation of sun.misc.Perf natives
  - JVM_NewMultiArray: element class may be an array
  - jtreg test java/lang/reflect/Array/ExceedMaxDim
  - OpenJDK: Fix Local/Anonymous class checks
  - classlibMarkThreadTerminated should return Object*
  - Fix race-condition in constant-pool resolution code
  - JSR 292: MethodHandle constant-pool refs may be resolved
  - JSR 292: bootstrap method args error handling
  - JSR 308: update to match OpenJDK changes
  - JSR 292: correct intrinsic cache COMPARE function
  - Race condition in setting up imethod table
  - GC: Minor performance improvement
  - PR2034: --enable-jamvm builds broken, missing
    JVM_GetTemporaryDirectory impl
  - PR2336: JamVM lacks JVM_FindClassFromCaller
  - PR2523: Add executable stack markings to callNative.S on JamVM
  - PR2775: JamVM lacks JVM_GetResourceLookupCacheURLs introduced
    by jdk8u40
  * CACAO
  - PR1277: Synchronise CACAO rules between IcedTea6/7/8 where
    possible
  - PR1279: Synchronise CACAO versions between IcedTea6/7/8 where
    possible
  - PR2035: --enable-cacao builds broken, missing
    JVM_GetTemporaryDirectory impl.
  - PR2330, CA172, G453612: Add ARM hardfloat support to CACAO on
    Gentoo
  - PR2331: IcedTea8 fails to build with IcedTea7 CACAO due to low
    max heap size
  - PR2335: CACAO lacks JVM_FindClassFromCaller
  - PR2347: Fix CACAO patches to apply again
  - PR2349: 'struct jvm_version_info' has no member named
    'is_kernel_jvm'
  - PR2350: Update to latest CACAO
  - PR2354: stamps/cacao.stamp tries to touch a file in a
    directory which doesn't exist
  - PR2355: CACAO build fails to use JRE layout
  - PR2776: CACAO lacks JVM_GetResourceLookupCacheURLs introduced
    by jdk8u40
  - PR2832, CA195: typeinfo.cpp: typeinfo_merge_nonarrays:
    Assertion `dest && result && x.any && y.any' failed
  - PR2908: Add missing functions for CACAO OpenJDK JVM
    implementation
  - PR2909: Install CACAO in same way as JamVM
  - PR2910: Add rudimentary support for OpenJDK 8 class files to
    CACAO
  - PR2916: Update CACAO drop to use the latest from cacao-staging
- Removed patches:
  * PStack-808293.patch
  * aarch64-misc.patch
  * disable-doclint-by-default.patch
  * include-all-srcs.patch
  * link-with-as-needed.patch
  * memory-limits.patch
  * multiple-pkcs11-library-init.patch
  * ppc64le-8036767.patch
  * s390-java-opts.patch
  * s390-size_t.patch
  * system-lcms.patch
  * system-libjpeg.patch
  * system-libpng.patch
  * zero-dummy.patch
  - Fixed upstream
- Added patches:
  * icedtea-3.0.1-sunec.patch
  - Adapt the nss detection to SUSE packaging of mozilla-nss
  * java-1_8_0-openjdk-suse-desktop-files.patch
  - Adapt the desktop files for SUSE needs
- Modified patches:
  * 1015432.patch
  * adlc-parser.patch
  * compare-pointer-with-literal.patch
  * implicit-pointer-decl.patch
  * java-atk-wrapper-security.patch
  * ppc-zero-hotspot.patch
  * zero-javadoc-verbose.patch
  - Adapt to new directory structure
* Wed Mar 30 2016 fstrba@suse.com
- Update to upstream tag jdk8u77-b03 (bsc#972468)
  * CVE-2016-0636: Improve MethodHandle consistency
* Fri Feb 26 2016 fstrba@suse.com
- Added patch:
  * ppc64le-8036767.patch
    + Change archinstall for ppc64le from ppc64 to ppc64le
    directory.
* Mon Jan 25 2016 fstrba@suse.com
- Upgrade to upstream tag jdk8u72-b15
  * Oracle Critical Patch Update of January 2016 (bsc#962743)
  * Using aarch64 hotspot tag aarch64-jdk8u72-b15
- Security issues fixed:
  * CVE-2015-7575: Mozilla Network Security Services (NSS) before
    3.20.2, as used in Mozilla Firefox before 43.0.2 and Firefox
    ESR 38.x before 38.5.2, does not reject MD5 signatures in Server
    Key Exchange messages in TLS 1.2 Handshake Protocol traffic,
    which makes it easier for man-in-the-middle attackers to spoof
    servers by triggering a collision.
  * CVE-2015-8126: Multiple buffer overflows in the (1) png_set_PLTE
    and (2) png_get_PLTE functions in libpng before 1.0.64, 1.1.x
    and 1.2.x before 1.2.54, 1.3.x and 1.4.x before 1.4.17, 1.5.x
    before 1.5.24, and 1.6.x before 1.6.19 allow remote attackers to
    cause a denial of service (application crash) or possibly have
    unspecified other impact via a small bit-depth value in an IHDR
    (aka image header) chunk in a PNG image.
  * CVE-2016-0402: Unspecified vulnerability in the Java SE and
    Java SE Embedded components in Oracle Java SE 6u105, 7u91, and
    8u66 and Java SE Embedded 8u65 allows remote attackers to affect
    integrity via unknown vectors related to Networking.
  * CVE-2016-0448: Unspecified vulnerability in the Java SE and
    Java SE Embedded components in Oracle Java SE 6u105, 7u91, and
    8u66, and Java SE Embedded 8u65 allows remote authenticated
    users to affect confidentiality via vectors related to JMX.
  * CVE-2016-0466: Unspecified vulnerability in the Java SE, Java SE
    Embedded, and JRockit components in Oracle Java SE 6u105, 7u91,
    and 8u66; Java SE Embedded 8u65; and JRockit R28.3.8 allows
    remote attackers to affect availability via vectors related to
    JAXP.
  * CVE-2016-0475: Unspecified vulnerability in the Java SE, Java SE
    Embedded, and JRockit components in Oracle Java SE 8u66; Java SE
    Embedded 8u65; and JRockit R28.3.8 allows remote attackers to
    affect confidentiality and integrity via unknown vectors related
    to Libraries.
  * CVE-2016-0483: Unspecified vulnerability in the Java SE, Java SE
    Embedded, and JRockit components in Oracle Java SE 6u105, 7u91,
    and 8u66; Java SE Embedded 8u65; and JRockit R28.3.8 allows
    remote attackers to affect confidentiality, integrity, and
    availability via vectors related to AWT.
  * CVE-2016-0494: Unspecified vulnerability in the Java SE and Java
    SE Embedded components in Oracle Java SE 6u105, 7u91, and 8u66
    and Java SE Embedded 8u65 allows remote attackers to affect
    confidentiality, integrity, and availability via unknown vectors
    related to 2D.
- Modified patch:
  * s390-java-opts.patch
    + rediff to the changed context
* Thu Oct 22 2015 fstrba@suse.com
- Upgrade to upstream tag jdk8u65-b17
  * Security fix release of October 21, 2015 (bsc#951376)
- Security issues fixed:
  * CVE-2015-4734: A remote user can exploit a flaw in the Embedded
    JGSS component to partially access data
  * CVE-2015-4803: A remote user can exploit a flaw in the JRockit
    JAXP component to cause partial denial of service conditions
  * CVE-2015-4805: A remote user can exploit a flaw in the Embedded
    Serialization component to gain elevated privileges
  * CVE-2015-4806: A remote user can exploit a flaw in the Java SE
    Embedded Libraries component to partially access and partially
    modify data
  * CVE-2015-4835: A remote user can exploit a flaw in the Embedded
    CORBA component to gain elevated privileges
  * CVE-2015-4842: A remote user can exploit a flaw in the Embedded
    JAXP component to partially access data
  * CVE-2015-4843: A remote user can exploit a flaw in the Java SE
    Embedded Libraries component to gain elevated privileges
  * CVE-2015-4844: A remote user can exploit a flaw in the Embedded
    2D component to gain elevated privileges
  * CVE-2015-4860: A remote user can exploit a flaw in the Embedded
    RMI component to gain elevated privileges
  * CVE-2015-4872: A remote user can exploit a flaw in the JRockit
    Security component to partially modify data [].
  * CVE-2015-4881: A remote user can exploit a flaw in the Embedded
    CORBA component to gain elevated privileges
  * CVE-2015-4882: A remote user can exploit a flaw in the Embedded
    CORBA component to cause partial denial of service conditions
  * CVE-2015-4883: A remote user can exploit a flaw in the Embedded
    RMI component to gain elevated privileges
  * CVE-2015-4893: A remote user can exploit a flaw in the JRockit
    JAXP component to cause partial denial of service conditions
  * CVE-2015-4902: A remote user can exploit a flaw in the Java SE
    Deployment component to partially modify data
  * CVE-2015-4903: A remote user can exploit a flaw in the Embedded
    RMI component to partially access data
  * CVE-2015-4911: A remote user can exploit a flaw in the JRockit
    JAXP component to cause partial denial of service conditions
  * CVE-2015-4810: A local user can exploit a flaw in the Java SE
    Deployment component to gain elevated privileges
  * CVE-2015-4840: A remote user can exploit a flaw in the Embedded
    2D component to partially access data
  * CVE-2015-4868: A remote user can exploit a flaw in the Java SE
    Embedded Libraries component to gain elevated privileges
  * CVE-2015-4901: A remote user can exploit a flaw in the JavaFX
    component to gain elevated privileges
  * CVE-2015-4906: A remote user can exploit a flaw in the JavaFX
    component to partially access data
  * CVE-2015-4908: A remote user can exploit a flaw in the JavaFX
    component to partially access data
  * CVE-2015-4916: A remote user can exploit a flaw in the JavaFX
    component to partially access data
- Modified patch:
  * s390-size_t.patch
  - Account for an additional uintptr_t <-> size_t mismatch
* Wed Aug 19 2015 fstrba@suse.com
- Upgrade to upstream tag jdk8u60-b27
  * Release of JDK 8u60
- Removed patches:
  * hotspot-support-kernel-4.patch
  * cplusplus-interpreter.patch
  * signed-overflow.patch
  - Integrated upstream
  * system-giflib5.patch
  - Fixed differently upstream
  * applet-hole.patch
  - Not needed any more with recent versions of icedtea-web
- Modified patches
  * aarch64-misc.patch
  - Rediff to correspond to the new context
  - Added bits from aarch64-port/jdk8/jdk
* Tue Aug 18 2015 fstrba@suse.com
- Add constraints file
* Wed Jul 22 2015 fstrba@suse.com
- Upgrade to upstream tag jdk8u51-b16
  * Security fix release of July 15, 2015 (bsc#938248, bsc#937828)
- Security issues fixed:
  * CVE-2015-2590: Vulnerability in the Java SE, Java SE Embedded
    component of Oracle Java SE (subcomponent: Libraries).
  * CVE-2015-2597: Vulnerability in the Java SE component of Oracle
    Java SE (subcomponent: Install).
  * CVE-2015-2601: Vulnerability in the Java SE, JRockit, Java SE
    Embedded component of Oracle Java SE (subcomponent: JCE).
  * CVE-2015-2613: Vulnerability in the Java SE, Java SE Embedded
    component of Oracle Java SE (subcomponent: JCE).
  * CVE-2015-2619: Vulnerability in the Java SE, JavaFX, Java SE
    Embedded component of Oracle Java SE (subcomponent: 2D).
  * CVE-2015-2621: Vulnerability in the Java SE, Java SE Embedded
    component of Oracle Java SE (subcomponent: JMX).
  * CVE-2015-2625: Vulnerability in the Java SE, JRockit, Java SE
    Embedded component of Oracle Java SE (subcomponent: JSSE).
  * CVE-2015-2627: Vulnerability in the Java SE component of Oracle
    Java SE (subcomponent: Install).
  * CVE-2015-2628: Vulnerability in the Java SE, Java SE Embedded
    component of Oracle Java SE (subcomponent: CORBA).
  * CVE-2015-2632; Vulnerability in the Java SE component of Oracle
    Java SE (subcomponent: 2D).
  * CVE-2015-2637: Vulnerability in the Java SE, JavaFX, Java SE
    Embedded component of Oracle Java SE (subcomponent: 2D).
  * CVE-2015-2638: Vulnerability in the Java SE, JavaFX, Java SE
    Embedded component of Oracle Java SE (subcomponent: 2D).
  * CVE-2015-2659: Vulnerability in the Java SE, Java SE Embedded
    component of Oracle Java SE (subcomponent: Security).
  * CVE-2015-2664: Vulnerability in the Java SE component of Oracle
    Java SE (subcomponent: Deployment).
  * CVE-2015-2808: Vulnerability in the Java SE, JRockit, Java SE
    Embedded component of Oracle Java SE (subcomponent: JSSE).
  * CVE-2015-4000: Vulnerability in the Java SE, JRockit, Java SE
    Embedded component of Oracle Java SE (subcomponent: JSSE).
  * CVE-2015-4729: Vulnerability in the Java SE component of Oracle
    Java SE (subcomponent: Deployment).
  * CVE-2015-4731: Vulnerability in the Java SE, Java SE Embedded
    component of Oracle Java SE (subcomponent: JMX).
  * CVE-2015-4732: Vulnerability in the Java SE, Java SE Embedded
    component of Oracle Java SE (subcomponent: Libraries).
  * CVE-2015-4733: Vulnerability in the Java SE, Java SE Embedded
    component of Oracle Java SE (subcomponent: RMI).
  * CVE-2015-4736: Vulnerability in the Java SE component of Oracle
    Java SE (subcomponent: Deployment).
  * CVE-2015-4748: Vulnerability in the Java SE, JRockit, Java SE
    Embedded component of Oracle Java SE (subcomponent: Security).
  * CVE-2015-4749: Vulnerability in the Java SE, JRockit, Java SE
    Embedded component of Oracle Java SE (subcomponent: JNDI).
  * CVE-2015-4760: Vulnerability in the Java SE component of Oracle
    Java SE (subcomponent: 2D).
* Thu Jun 18 2015 tchvatal@suse.com
- Use priority matching to ibm-java, always 5 bigger than it
* Wed Jun 10 2015 fstrba@suse.com
- Added patch:
  * zero-dummy.patch
  - Fix crash of ZERO VM built with gcc5
* Fri Jun  5 2015 fstrba@suse.com
- Added patch:
  * signed-overflow.patch
  - fix OOM due to signed overflow shown by gcc5 build
* Tue May 26 2015 fstrba@suse.com
- Use the tzdb.dat from tzdata-java8 package on distributions
  that have it.
* Tue May  5 2015 fstrba@suse.com
- Added patch:
  * hotspot-support-kernel-4.patch
  * fix build on systems having kernel 4.0
* Thu Apr 16 2015 fstrba@suse.com
- Update the aarch64 tarball to the recent tip
  * The revision has merged changes up to jdk8u45-b14
- Apply cplusplus-interpreter.patch to the default hotspot tarball
  only (aarch64 tarball has the patch integrated)
* Wed Apr 15 2015 fstrba@suse.com
- Upgrade to upstream tag jdk8u45-b14
  * Security fix release of April 14, 2015
* Wed Apr  8 2015 fstrba@suse.com
- Build the accelerated aarch64 hotspot anew
* Thu Mar  5 2015 fstrba@suse.com
- Update the aarch64 tarball to a recent tip of the jdk8 repository
* Wed Mar  4 2015 fstrba@suse.com
- jdk8u40-b25 became officially jdk8u40 release
  * Modify the package version
* Tue Feb 17 2015 fstrba@suse.com
- Modified patch
  * system-libjpeg.patch
  - correct the case mismatch that prevented JPEG decoder from
    working correctly (bnc#905950)
* Mon Feb 16 2015 fstrba@suse.com
- Upgrade to upstream tag jdk8u40-b25
* Thu Feb  5 2015 fstrba@suse.com
- Upgrade to upstream tag jdk8u40-b24
- Upgrade the aarch64 hotspot to new tip
  * sync-ed with jdk8u40-b23
- Removed patch
  * aarch64-b12tob22.patch
  - Not needed since the aarch64 tarball is on a recent enough
    tag
- Modified patch
  * s390-size_t.patch
  - Adapt to hotspot changes
* Tue Jan 27 2015 fstrba@suse.com
- Removed patch
  * aarch64-b12tob21.patch
  - replaced by one that forward-ports to b22
- Added patch
  * aarch64-b12tob22.patch
  - forward-port the aarch64 hotspot to b22.
* Sun Jan 25 2015 fstrba@suse.com
- Modify patch: system-giflib5.patch
  * Fix build with giflib 5.1.x
* Thu Jan 22 2015 fstrba@suse.com
- Upgrade to upstream tag jdk8u40-b22
  * Security update from 2015-01-20
* Wed Jan 21 2015 fstrba@suse.com
- Upgrade to upstream tag jdk8u40-b21
- Removed patch:
  * aarch64-b12tob20.patch
  - replaced by new version
- Added patch:
  * aarch64-b12tob21.patch
  - port the relevant changes between builds b12 and b21 to the
    aarch64 tarball that is on the upstream tag of jdk8u40-b12
* Mon Jan 12 2015 fstrba@suse.com
- Upgrade to upstream tag jdk8u40-b20
  * Switch to the jdk8u40 stabilisation branch that will result in
    the jdk8u40 release
- Removed patch:
  * hotspot-build-j-directive.patch
  - integrated in the jdk8u40-b20 version of hotspot
- Added patches:
  * aarch64-b12tob20.patch
  - port the relevant changes between builds b12 and b20 to the
    aarch64 tarball that is on the upstream tag of jdk8u40-b12
  * cplusplus-interpreter.patch
  - fix a build of C++ interpreter that is used with Zero virtual
    machine.
* Sun Jan  4 2015 schwab@suse.de
- zero-javadoc-verbose.patch: Avoid triggering inactivity timeout while
  generating javadoc in zero VM
* Mon Dec  8 2014 fstrba@suse.com
- Require version of tzdata-java compatible with this version
  of Java.
* Sun Nov 23 2014 schwab@linux-m68k.org
- Define bits to %%__isa_bits if defined
* Tue Nov 11 2014 fstrba@suse.com
- Modified patches:
  * s390-size_t.patch
  - rediff and drop unnecessary chunks
  * s390-java-opts.patch
  - modify to correspond to the changed context
* Mon Nov 10 2014 fstrba@suse.com
- Put manpage alternative for policy-tool to the right package
* Tue Nov  4 2014 fstrba@suse.com
- Upgrade to upstream tag jdk8u40-b12
  * Unstable snapshot in view of jdk8u40 release
  * aarch64 hotspot merged to the level of jdk8u40-b12
- Remove unneeded aarch64-jdk8u40-b09_b10.patch:
  * the aarch64 hotspot merge contains all the changes
* Wed Oct 29 2014 fstrba@suse.com
- Update config.sub and config.guess to the recent master of
  http://git.savannah.gnu.org/cgit/config.git
* Fri Oct 17 2014 fstrba@suse.com
- Upgrade to upstream tag jdk8u40-b10
  * Unstable snapshot in view of jdk8u40 release
  * Contains security fixes from 14 october 2014
- Add aarch64-jdk8u40-b09_b10.patch
  * Manually upgrade the aarch64 hotspot tarball with the changes
    between b09 and b10
* Thu Oct 16 2014 fstrba@suse.com
- Allow building for SLE11
  * Conditionalize BuildRequires
  * Conditionalize cxxflags not understood by gcc 4.3
  * Conditionalize javadoc noarch build for distributions that
    understand the per-package BuildArch
- Try to make the jre-32 and jre-64 provides more automatic
- Disable brp-check-bytecode-version during install
  * java8 will have bytecode version 8 in its jars
* Tue Oct  7 2014 fstrba@suse.com
- Force Zero VM for aarch64, since from the beginning we did not
  manage to finish a build of Hotspot for this architecture.
* Thu Oct  2 2014 fstrba@suse.com
- Upgrade to upstream tag jdk8u40-b08
  * Unstable snapshot in view of jdk8u40 release
* Mon Sep 29 2014 fstrba@suse.com
- Build template jvm interpreter on ppc64le
  * It was ported for this architecture in jdk8u49-b06
- Build depend on the generic java-bootstrap-devel
  * Allows to build against java-1_7_0-openjdk-bootstrap
- Reformat the spec file with spec-cleaner
* Fri Sep 26 2014 fstrba@suse.com
- Upgrade to upstream tag jdk8u40-b07
  * Unstable snapshot in view of jdk8u40 release
- Removed patch: aarch64-jni-update.patch
  * Upstreamed changes
- Modified patch: aarch64-misc.patch
  * Do not patch generated-configure.sh that is anyway regenerated.
- Modified patch: system-libjpeg.patch
  * Do not patch generated-configure.sh that is anyway regenerated.
  * Rediff to apply cleanly
- Modified patches: link-with-as-needed.patch,
  system-giflib5.patch, system-lcms.patch, system-libpng.patch
  * Rediff to apply cleanly
* Tue Sep 23 2014 fstrba@suse.com
- Add provides jre-32 on %%{ix86} and ppc
  * This satisfies libreoffice's requires
* Mon Sep  8 2014 fstrba@suse.com
- Add provides jre-64 on x86_64. bnc#895191
* Wed Aug 20 2014 fstrba@suse.com
- Upgrade to upstream tag jdk8u20-b26
  * Tag corresponding to jdk8u20 public release
- Do not include the build number in version information, since
  this is the official 1.8.0.20 release
* Wed Jul 23 2014 fstrba@suse.com
- Use icedtea-sound-1.0.1 release tarball
* Fri Jul 18 2014 fstrba@suse.com
- Upgrade to upstream tag jdk8u20-b23
  * Security updates from 15 July 2014
- Removed patch: voidreturn.patch
  * Integrated upstream
- Re-diffed patch: java-atk-wrapper-security.patch
  * Re-diff to correspond to the new changes
- Modify accessibility post script to actually create the
  corresponding symlinks
* Tue Jul 15 2014 fstrba@suse.com
- Initial package built from upstream OpenJDK
  * Version 1.8.0.20~b22
  * Sources from http://hg.openjdk.java.net/jdk8u/jdk8u20/
    tag jdk8u20-b22
- Initial bug-/build-fix patches
  * 1015432.patch
  * aarch64-jni-update.patch
  * aarch64-misc.patch
  * adlc-parser.patch
  * applet-hole.patch
  * compare-pointer-with-literal.patch
  * disable-doclint-by-default.patch
  * hotspot-build-j-directive.patch
  * implicit-pointer-decl.patch
  * include-all-srcs.patch
  * java-atk-wrapper-security.patch
  * link-with-as-needed.patch
  * memory-limits.patch
  * multiple-pkcs11-library-init.patch
  * ppc-zero-hotspot.patch
  * PStack-808293.patch
  * s390-java-opts.patch
  * s390-size_t.patch
  * system-giflib5.patch
  * system-lcms.patch
  * system-libjpeg.patch
  * system-libpng.patch
  * voidreturn.patch
- Added aarch64 hotspot from the tip of
  http://hg.openjdk.java.net/aarch64-port/jdk8/hotspot
- Added pulseaudio provider from the tip of
  http://icedtea.classpath.org/hg/icedtea-sound/
